package com.emr.controller;

import com.emr.dao.EmrOvertimeSetMapper;
import com.emr.entity.EmrOvertimeSet;
import com.emr.quart.DynamicScheduleTaskSecond;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * @ProjectName:预加载一次webService
 * @Description:
 * @Param 传输参数
 * @Return
 * @Author: 曾文和
 * @CreateDate: 2020/7/7 16:34
 * @UpdateUser: 曾文和
 * @UpdateDate: 2020/7/7 16:34
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
@Component
public class WebServiceLoad {
    @Autowired
    private DynamicScheduleTaskSecond dynamicScheduleTaskSecond;
    @Autowired
    private EmrOvertimeSetMapper overtimeSetMapper;
    @PostConstruct
    public void contextInitialized() {
        new Thread(() -> {
            EmrOvertimeSet emrOvertimeSet = overtimeSetMapper.selectByPrimaryKey(1);
            dynamicScheduleTaskSecond.setCron(emrOvertimeSet.getRemindTime());
            /*String token = "ORsaVDUBE1RFRFRETE5BR05ERVQ3JyBURkRGRA==";
            String POWER_IP = PropertiesUtils.getProperty("POWER_IP");
            String POWER_PORT = PropertiesUtils.getProperty("POWER_PORT");
            //创建连接工厂
            JAXDynamicClientFactory dcf = JAXDynamicClientFactory.newInstance();
            //创建客户端
            String url = "http://"+POWER_IP+":"+POWER_PORT+ "/power/WebService/PowerWebService?wsdl";
            Client client = dcf.createClient(url);
            try {
                //动态调用getInfosByUserId方法
                client.invoke("getInfosByUserId", token, "emr_medical_record");
            } catch (Exception e) {
                e.printStackTrace();
            }finally {
                if(null != client) {
                    client.destroy();
                }
            }*/
        }).start();
    }
}
