package com.emr.dao;

import com.emr.entity.ArchiveOther;
import com.emr.entity.ArchiveOtherExt;
import com.emr.entity.ArchiveOtherExtSubmittime;
import com.emr.vo.ArchiveOtherExtVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ArchiveOtherExtMapper {
    int deleteByPrimaryKey(Long id);

    int insert(ArchiveOtherExt record);

    int insertSelective(ArchiveOtherExt record);

    ArchiveOtherExt selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(ArchiveOtherExt record);

    int updateByPrimaryKey(ArchiveOtherExt record);

    List<ArchiveOtherExtVo> getArchiveExtInfo(ArchiveOtherExtVo record);

    List<ArchiveOtherExtVo> getArchiveExtInfoDoctor(ArchiveOtherExtVo record);

    List<ArchiveOtherExtVo> getArchiveExtInfoNurse(ArchiveOtherExtVo record);

    List<ArchiveOtherExtVo> selectAllByIds(@Param("ids") String ids);

    int updateSubmit(@Param("ids")String ids);

    List<ArchiveOtherExtVo> selectDiD(@Param("ids") String ids);

    List<ArchiveOtherExtVo> selectDetailByDid(@Param("did") String did);

    int delDetailByDid(@Param("did") String did);
    /**
     * 根据ids字段的查询与同步更新比较时间比较较晚时间的集合
     * @param ids
     * @return
     */
    List<ArchiveOther> selectAllByIdsAndSubmitTime(@Param("ids")String ids,@Param("patientId")String patientId);

    Integer SuccessByExtIds1(@Param("ids")String ids);
    /**
     * 查询未同步更新完成的文件名称集合
     * @param patientId
     * @return
     */
    List<ArchiveOtherExt> selectC1WithNotCollectFinishByPatientId(@Param("patientId")String patientId);

    /**
     * 查询校验不完整的集合
     * @return
     */
    List<ArchiveOtherExt> selectNotCompleteMidList();

    /**
     * 根据记账号查询该病例护理记录的最新采集完成时间
     * @param patientId 记账号
     * @return
     */
    String selectMaxETimeByNursingAndJzh(@Param("patientId")String patientId);

    List<ArchiveOtherExt> selectListBySysFlagAndIds(@Param("sysFlag")Integer sysFlag,
                                                    @Param("ids")String ids);
    /**
     * 根据记账号和系统标识查询采集任务集合
     * @param
     * @return
     */
    List<ArchiveOtherExtVo> selectListBySysFlagAndJzh(@Param("sysFlag")Integer sysFlag,
                                                    @Param("jzh")String jzh,
                                                    @Param("startDateTo")String startDateTo,
                                                    @Param("endDateTo")String endDateTo,
                                                    @Param("filePath")String filePath);

    void updateOtherDomForStatusFlag( @Param("jzh")String jzh, @Param("filePath")String filePath,@Param("sysFlag")Integer sysFlag);

    /**
     * 根据时间查询his召回详情
     * @param time
     * @return
     */
    List<ArchiveOtherExtVo> callBackStatisticsDetail(@Param("time") String time,@Param("startDateTo")String startDateTo,
                                                     @Param("endDateTo")String endDateTo);
}