package com.emr.dao;

import com.emr.entity.ArchiveTransferDeptUser;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ArchiveTransferDeptUserMapper extends CommomMapper{
    int deleteByPrimaryKey(Integer id);

    int insert(ArchiveTransferDeptUser record);

    int insertSelective(ArchiveTransferDeptUser record);

    ArchiveTransferDeptUser selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ArchiveTransferDeptUser record);

    int updateByPrimaryKey(ArchiveTransferDeptUser record);

    List<ArchiveTransferDeptUser> selectAllByMasterId(@Param("masterId")String masterId);

    void deleteTransferDeptUserByMasterId(@Param("masterId")String masterId);

    List<ArchiveTransferDeptUser> selectMasterIdByTranDept(@Param("userName")String userName);
}