package com.emr.dao;

import com.emr.entity.EmrHolidaySet;
import com.emr.entity.EmrHolidaySetVo;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface EmrHolidaySetMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(EmrHolidaySet record);

    int insertSelective(EmrHolidaySet record);

    EmrHolidaySet selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(EmrHolidaySet record);

    int updateByPrimaryKey(EmrHolidaySet record);

    List<EmrHolidaySet> selectAllByDates(@Param("startTime")String startTime, @Param("endTime")String endTime);

    int SampleInsert(@Param("list")List<EmrHolidaySet> list);

    int SampleUpdate(@Param("list")List<EmrHolidaySet> list);

    List<EmrHolidaySetVo> selectByColumn(EmrHolidaySetVo record);

    int selectColByTableName(@Param("tableName")String tableName);

    int selectHolidayByDate(@Param("startDate") Date startDate);

    List<EmrHolidaySet> selectWorkDayByDate(@Param("startDate")String startDate,
                                            @Param("endDate")String endDate,
                                            @Param("order")String order);

    List<EmrHolidaySet> selectNotHolidayList();
}