package com.emr.dao;

import com.emr.entity.Archive_Master_Vo;
import com.emr.vo.RecordSearch;
import com.emr.vo.SubmitRecord;
import com.emr.vo.SubmitRecordStatistics;

import java.util.List;

public interface RecordMapper {
    //查询分组科室各角色待审核数量用于通知
    List<SubmitRecord> selectUnCountGroupDeptForRemind(RecordSearch recordSearch);
    //查询分组科室各角色待审核数量
    List<SubmitRecord> selectUnCountGroupDept(RecordSearch recordSearch);
    //根据审核角色id和分组科室查询该科室完成份数
    List<SubmitRecord> selectCountByRoleAndDeptName(RecordSearch recordSearch);
    //根据科室分组查询护士长审核份数
    //List<SubmitRecord> selectCountWithHeadNurse(RecordSearch recordSearch);
    //统计总病历数，已提交数，已归档数，已采集完整数
    SubmitRecordStatistics selectCount(RecordSearch recordSearch);
    //按日期分组查询出院人数，归档情况，提交情况，资料完整情况
    List<SubmitRecordStatistics> selectCountWithDate(RecordSearch recordSearch);

    List<Archive_Master_Vo> selectRecordGroupDeptAndRole(RecordSearch recordSearch);

    int selectCountOverTimeByRoleId(RecordSearch recordSearch);
    //查询按日期分组
    List<SubmitRecordStatistics> selectGroupDate(RecordSearch recordSearch);
    //查询属于需要校验完整的带分类的集合
    List<Archive_Master_Vo> selectAllWithCompleteAssort(RecordSearch recordSearch);
}
