package com.emr.entity;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

public class ArchiveCallbackInfo implements Serializable {
    private String masterId;

    private String callbackUserName;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date callbackTime;

    private String callbackReason;

    private String ip;

    private static final long serialVersionUID = 1L;

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getMasterId() {
        return masterId;
    }

    public void setMasterId(String masterId) {
        this.masterId = masterId == null ? null : masterId.trim();
    }

    public String getCallbackUserName() {
        return callbackUserName;
    }

    public void setCallbackUserName(String callbackUserName) {
        this.callbackUserName = callbackUserName == null ? null : callbackUserName.trim();
    }

    public Date getCallbackTime() {
        return callbackTime;
    }

    public void setCallbackTime(Date callbackTime) {
        this.callbackTime = callbackTime;
    }

    public String getCallbackReason() {
        return callbackReason;
    }

    public void setCallbackReason(String callbackReason) {
        this.callbackReason = callbackReason == null ? null : callbackReason.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", masterId=").append(masterId);
        sb.append(", callbackUserName=").append(callbackUserName);
        sb.append(", callbackTime=").append(callbackTime);
        sb.append(", callbackReason=").append(callbackReason);
        sb.append("]");
        return sb.toString();
    }
}