package com.emr.singleton;

import com.lowagie.text.pdf.PdfReader;

import static org.apache.cxf.wsdl.service.factory.ReflectionServiceFactoryBean.HOLDER;

/**
 * @ProjectName:
 * @Description:
 * @Param 传输参数
 * @Return
 * @Author: 曾文和
 * @CreateDate: 2020/12/3 13:40
 * @UpdateUser: 曾文和
 * @UpdateDate: 2020/12/3 13:40
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
public class PdfReaderSingleton extends PdfReader {
    private PdfReaderSingleton(){};

    public static PdfReaderSingleton getInstance(){
        return ContainerHolder.HOLDER.singleton;
    }

    private enum ContainerHolder{
        HOLDER;
        private PdfReaderSingleton singleton;
        ContainerHolder(){
            singleton = new PdfReaderSingleton();
        }
    }
}
