package com.emr.vo;

import com.emr.entity.ArchiveFlowInfo;
import lombok.Data;

/**
 * @ProjectName:
 * @Description:
 * @Param 传输参数
 * @Return
 * @Author: 曾文和
 * @CreateDate: 2020/5/18 11:30
 * @UpdateUser: 曾文和
 * @UpdateDate: 2020/5/18 11:30
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
@Data
public class ArchiveFlowInfoVo extends ArchiveFlowInfo {
    /**
     * 转换使用时间
     */
    private String useTime;

    /**
     * 退回有缺陷记录的记录id
     */
    private Integer faultId;

    /**
     * 缺陷原因
     */
    private String content;

    /**
     * 退回原因
     */
    private String backContent;

    /**
     * 缺陷选项
     */
    private String faultAssortName;

    /**
     * 审核人姓名
     */
    private String checkName;

    /**
     * 住院号
     */
    private String inpNo;

    /**
     * 住院次数
     */
    private String visitId;

    /**
     * 患者姓名
     */
    private String name;

    /**
     * 出院科室
     */
    private String deptName;

    /**
     * 出院日期
     */
    private String dischargeDateTime;

    /**
     * 审核日期开始时间
     */
    private String startDate;

    /**
     * 审核日期结束时间
     */
    private String endDate;

    /**
     * 出院日期开始时间
     */
    private String disStartDate;

    /**
     * 出院日期结束时间
     */
    private String disEndDate;

    /**
     * 接收字符串类型的审核时间
     */
    private String createTimeCn;
}
