﻿<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
    <%@ include file="/WEB-INF/jspf/comm.jspf" %>
    <%@ include file="/WEB-INF/jspf/ztreeCommom.jsp" %>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <title>查房记录</title>
    <meta http-equiv="Content-Type"  content="text/html;charset=utf-8">
    <%--<meta name="referrer" content="never">--%>
    <!-- 解决部分兼容性问题，如果安装了GCF，则使用GCF来渲染页面，如果未安装GCF，则使用最高版本的IE内核进行渲染。 -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <!-- 页面按原比例显示 -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="shortcut icon" href="../../../static/favicon.ico">
    <!--[if lt IE 9]>
    <script type="text/javascript" src="${path}/static/js/html5shiv.min.js"></script>
    <script type="text/javascript" src="${path}/static/js/jquery-1.11.3.min.js"></script>
    <script type="text/javascript" src="${path}/static/js/respond.min.js"></script>
    <![endif]-->
    <style>
        .divCss {
            margin-top: 5px;
        }
       #iframe{
           height: 100%;
         }
        .divCss2 {
            margin-top: 5px;
            margin-left: 5px;
        }
        .divCss8 {
            margin-top: 5px;
            margin-right: 20px;
        }
        .divCss3 {
            margin-top: 5px;
            margin-left: 20px;
            color: blue;
        }
        .divCss4 {
            border-top: 1px solid #e5e5e5;
            width: 97.5%;
            margin-top: 10px;
            margin-bottom: 5px;
        }
        .labCss {
            color: #c1c3c4;
        }
        .titleCss {
            text-align: left;
            vertical-align: middle;
            background-color: #3c8dbc;
            color: #fff;
            font-size: 19px;
            font-weight: bold;
            height: 30px;
            margin-bottom: 10px;
        }
        .treeBtn {
            margin-top: 10px;
            margin-left: 10px;
            margin-right: 10px;
        }
        .zTreeDemo {
            height: auto;
            min-height: 350px;
        }
        .divCss5 {
            border-left: 2px solid #e5e5e5;
            height: auto;
            min-height: 350px;
        }
        .btnGroupCss {
            text-align: right;
        }
        /* dataTables表头居中 */
        .table > thead:first-child > tr:first-child > th {
            text-align: center !important;
        }
        #assortModal > div > div {
            width: 500px;
        }
        #exampleModal > div > div {
            width: 400px;
        }
        .imgDivCss {
            min-height: 400px !important;
        }
        .showImg {
            width: 80%;
            height: 100%
        }
        .shadeImg {
            height: 950px;
        }
        /**
         *多选下拉框
         */
        .bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) {
            width: 168px !important;
        }
        .filter-option-inner-inner {
            font-size: 12px;
        }
    </style>
</head>
<body>
    <!--主键-->
    <input type="hidden" id="patientId" value="${patientId}">
    <!--记账号-->
    <input type="hidden" id="accountNumber" value="${accountNumber}">
    <input type="hidden" id="assortIds" value="${assortIds}">
    <input type="hidden" id="visitIdFor" value="${visitId}">
    <!--业务识别码1:护理按需采集预览-->
    <input type="hidden" id="typeFlag" value="3">
<!--隐藏是否是初始化-->
<input type="hidden" id="isSearch" value="1">
<!--当前操作角色-->
<input type="hidden" id="checker">
    <div class="main" >
        <div class="headDiv"id="main1">
            <div class="headSpanDiv">
        <span class="headspan">
            查房记录
        </span>
            </div>
        </div>
    <div class="searchDiv" id="main">
    <input type="hidden" id="admissId" value="${commom.admissId}">
        <div class="mainDiv">
            <!--搜索-->
            <form style="margin-top:5px;margin-bottom: 0!important;">
                <div class="form-inline">
        <div class="form-group divCss8">
        <label for="name">姓名:</label>
        <input type="text" class="input-sm form-control" id="name" placeholder="请输入姓名" maxlength="25">
        </div>
                    <div class="form-group divCss8">
                        <label for="inpNo">住院号:</label>
                        <input type="text" class="input-sm form-control" id="inpNo" placeholder="请输入住院号" maxlength="25">
                    </div>
                    <div class="form-group divCss8">
                        <label for="visitId">住院次数:</label>
                        <input type="number" class="input-sm form-control" min="1" id="visitId" placeholder="请输入次数"
                               maxlength="2">
                    </div>
                    <div class="form-group divCss">
                        <label>入院日期:</label>
                        <div class="input-group input-daterange">
                            <input type="text" class="input-sm form-control" name="start" id="startDate"
                                   maxlength="10" autocomplete="off"/>
                            <span class="input-group-addon">-</span>
                            <input type="text" class="input-sm form-control" name="end" id="endDate" maxlength="10"
                                   autocomplete="off"/>
                        </div>
                    </div>
                    <div class="form-group divCss8">
    <label>主管医生:</label>
    <select class="selectpicker bla bla bli" multiple data-live-search="true" name="doctorInCharge"
    id="doctorInCharge" title="请输入主管医生" data-actions-box="true" data-deselect-all-text="取消全选"
    data-select-all-text="全选">
    <option value="">全部</option>
    </select>
                    </div>
        <%--<div class="form-group divCss8">
        <label>出院日期:</label>
        <div class="input-group input-daterange">
        <input type="text" class="input-sm form-control" name="start" id="startDateTo"
        maxlength="10" autocomplete="off"/>
        <span class="input-group-addon">-</span>
        <input type="text" class="input-sm form-control" name="end" id="endDateTo" maxlength="10"
        autocomplete="off"/>
        </div>
        </div>--%>
                    <button type="button" class="btn btn-primary btn-sm divCss" id="searchBtnFor">查询</button>
    <div hidden="hidden">
    <label for="deptName">科室:</label>
    <input type="text" class="input-sm form-control" id="deptName" placeholder="科室" maxlength="25">
    </div>
                </div>
            </form>
            <!--数据表格-->
            <table id="table" class="table  text-nowrap table-striped"></table>
        </div>
    </div >
    <div class="contentDiv">
    <iframe width="100%"  src=""  id="iframe" frameborder="0" scrolling="no"></iframe>
    </div>
    </div>
</body>
<script type="text/javascript">
    var path = "${path}";
</script>
<script src="${path}/static/js/record/recordPage.js?time=2022-01-13"></script>
<script src="${path}/static/js/hospitalLoadPdf/loadPdf.js?time=2020-10-16"></script>
<script src="${path}/static/js/hospitalCommom/hospitalCommom.js?time=2020-11-16"></script>
</html>