<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<c:set var="path" value="${pageContext.request.contextPath}"/>
<%@ include file="/WEB-INF/jspf/comm.jspf" %>
<%@ include file="/WEB-INF/jspf/ztreeCommom.jsp" %>
<%@ include file="/WEB-INF/jspf/confirmJsp.jspf" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <title>预览pdfIframe页面</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta http-equiv=X-UA-Compatible IE=EmulateIE7>
    <!--[if lt IE 9]>
    <script type="text/javascript" src="${path}/static/js/html5shiv.min.js"></script>
    <script type="text/javascript" src="${path}/static/js/jquery-1.11.3.min.js"></script>
    <script type="text/javascript" src="${path}/static/js/respond.min.js"></script>
    <![endif]-->
    <script>
        var path = "${path}";
    </script>
    <style type="text/css">
        body{
            width:100%;
            margin:0;
            padding:0;
            background-color: #F2F2F2;
        }
        .content-left{
            height:100%;
            width:16%;
            float:left;
            background-color: #FFFFFF;
        }
        .content-right{
            height:100%;
            width:83%;
            float:right;
            background-color: #FFFFFF;
        }
        .loading {
            width: 148px;
            height: 56px;
            position: absolute;
            top: 28px;
            right: 16px;
            line-height: 56px;
            color: red;
            padding-left: 60px;
            font-size: 7px;
            background: #000;
            opacity: 0.7;
            -moz-border-radius: 20px;
            -webkit-border-radius: 20px;
            border-radius: 20px;
            filter: progid:DXImageTransform.Microsoft.Alpha(opacity=70);
            display: none;
        }
    </style>
</head>
<body style="scroll:auto" onkeydown="disabledPrint()">
<div id="loading" class="loading">正在采集,请稍等</div>
<!--文件路径-->
<input type="hidden" id="filePath">
<input type="hidden" id="detailIds">
<div class="content-left">
    <div class="row" style="margin-top: 5px">
        <div class="col-md-4">
        </div>
        <div class="col-md-4" style="padding:0 2px">
            <button type="button" class="btn btn-xs btn-primary" onclick="onloadPdf()">加载PDF</button>
        </div>
        <div class="col-md-4" style="padding:0 2px;" >
<%--            <button type="button" class="btn btn-xs btn-primary" style="display: none" onclick="flashPdf()" id="freshBtnDiv">刷新</button>--%>
            <button type="button" class="btn btn-xs btn-danger" style="display: none" id="delBtnDiv">删除</button>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div class="zTreeDemo">
                <ul id="ztree" class="ztree"></ul>
            </div>
        </div>
    </div>
</div>
<div class="content-right">
    <iframe width="100%"  src="" id="iframe1" frameborder="0" scrolling="yes"></iframe>
</div>
<script type="text/javascript" src="${path}/static/js/showRecord/showRecordIframe.js?time=2021-02-07"></script>
<script type="text/javascript" src="${path}/static/js/showRecord/showRecordIframeCommom.js"></script>
</body>
</html>
