﻿﻿<%@ page language="java" import="java.util.*" pageEncoding="UTF-8" contentType="text/html;charset=UTF-8" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<html>
<head>
    <title>病案归档系统</title>
    <meta charset="utf-8">
    <!-- 解决部分兼容性问题，如果安装了GCF，则使用GCF来渲染页面，如果未安装GCF，则使用最高版本的IE内核进行渲染。 -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">    <!-- 页面按原比例显示 -->
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <%--<meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">--%>
    <%@ include file="/WEB-INF/jspf/comm.jspf" %>
    <script type="text/javascript" src="${path}/static/js/menu.js?time=2021-01-12"></script>
    <style>
        .hidden-xs{
            max-width: 200px;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }
        .indexSelected{
            background-color: #1E2D3B;
            color: #fff!important;
        }
        .modleSelected {
            font-weight: bold;
            font-size: 16px;
        }
        .sidebar-mini:not(.sidebar-collapse) #indexTreeMenu:hover{
            overflow-y: auto;
            overflow-x: hidden;
        }
        .sidebar-mini:not(.sidebar-collapse) #indexTreeMenu::-webkit-scrollbar{
            display: none;
        }
        .navbar-custom-menu{
            padding-right:17px;
        }
        .row-fluid{
            overflow-y: hidden;
        }
        .sidebar-mini.sidebar-collapse #indexTreeMenu li>a{
            height: 44px;
        }
        .sidebar-mini.sidebar-collapse #indexTreeMenu .pull-right-container{
            margin-top:0;
        }
        .sidebar-mini.sidebar-collapse #indexTreeMenu .modleSelected .pull-right-container{
            margin-top: -6px;
        }
        @media (min-width: 768px) {
            .sidebar-mini:not(.sidebar-mini-expand-feature).sidebar-collapse .sidebar-menu > li:hover > a > span:not(.pull-right), .sidebar-mini:not(.sidebar-mini-expand-feature).sidebar-collapse .sidebar-menu > li:hover > .treeview-menu {
                display: block !important;
                position: absolute;
                width: 203px;
                left: 50px;
            }
        }
        .home-menu:hover .dropdown-menu {display: block;}
        .sidebar {
            padding-bottom: 0;
        }
    </style>
    <script>
        var path = "${path}";
    </script>
</head>

<script type="text/javascript">
    function uniq(array){
        var temp = [];
        var index = [];
        var l = array.length;
        for(var i = 0; i < l; i++) {
            for(var j = i + 1; j < l; j++){
                if (array[i] === array[j]){
                    i++;
                    j = i;
                }
            }
            temp.push(array[i]);
            index.push(i);
        }
        return temp;
    }
    $(function () {
        function ajaxJsonFun() {
            //拥有的功能
            var str = "";
            //所属科室
            var depts = "";
            if (${menuList == null}){
                $('#exampleModal').modal({
                    backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
                    keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
                    show: true//弹出对话框
                });
                return ;
            }else if (${menuList != null}) {
                var menuList = <%=session.getAttribute("menuList")%>;//${menuList == null} ? window.location.href = "login.jsp" :${menuList};
                if (menuList != "") {
                    if (menuList.code == 100) {
                        var roleId = '';
                        var list = menuList.extend.list;
                        var firstMenu = false;
                        if (list != null && list.length > 1) {
                            var sysUL;
                            var count = 100000;
                            var deptArr = [];
                            roleId = list[0].roleId;
                            //roleId等于0或-100不受科室限制
                            if(roleId != -100 && roleId != 0 && list[0].deptCode != 1) {
                                for (var i = 0; i < list.length; i++) {
                                    if (list[i].deptCode != '') {
                                        deptArr.push(list[i].deptCode);
                                    }
                                }
                            }else{
                                deptArr = [];
                            }
                            var deptList = '';
                            if(deptArr != ''){
                                deptList = uniq(deptArr);
                            }
                            var depts = '';
                            if(deptList != ''){
                                for (var i = 0; i < deptList.length; i++) {
                                    if(i != deptList.length-1){
                                        depts += deptList[i] + ",";
                                    }else{
                                        depts += deptList[i];
                                    }
                                }
                            }
                            localStorage.setItem($("#userId").val()+"_depts",depts);
                            for (var i = 0; i < list.length; i++) {
                                if (list[0].deptId == list[i].deptId) {
                                    if (list[i].methodParent != 0 && (list[i].menuUrl == "#" || list[i].menuUrl == "" || list[i].menuUrl == null)) {
                                        var mulLi = '';
                                        if(list.length > 1 && i == 1){
                                            mulLi = newLiFun(true);
                                        }else{
                                            mulLi = newLiFun(false);
                                        }
                                        var mulA = '';
                                        //是第一个默认选中
                                        if(i == 1){
                                            mulA = newAFun(list[i].menuName, list[i].menuIcon,true);
                                        }else{
                                            mulA = newAFun(list[i].menuName, list[i].menuIcon,false);
                                        }
                                        mulLi.append(mulA);
                                        var menuAUL = newUlFun();
                                        //sysUL = liFun(list[i].menuName,list[i].menuIcon);
                                        /*菜单*/
                                        for (var j = 0; j < list.length; j++) {
                                            if (list[i].menuId == list[j].methodParent) {
                                                if (list[0].deptId == list[j].deptId) {
                                                    str = "";
                                                    /*功能值*/
                                                    for (var x = 0; x < list.length; x++) {
                                                        if (list[x].method != null && list[x].method != "" && list[x].methodParent == list[j].menuId) {
                                                            str += list[x].methodType + ",";
                                                        }
                                                    }
                                                    if (str.indexOf("undefined") != -1) {
                                                        str = "";
                                                    }
                                                    if(count > list[j].methodSort){
                                                        count = list[j].methodSort;
                                                        sysUL = path + list[j].menuUrl + "?num=" + str + "&depts=" + depts;

                                                    }
                                                    var menuALi = '';
                                                    var menuUrl = path + list[j].menuUrl + "?num=" + str + "&depts=" + depts;
                                                    //包含默认菜单，就赋值默认菜单地址
                                                    if(list[j].menuUrl == defaultUrlReal && sysULReal == ''){
                                                        sysULReal = menuUrl;
                                                        defaultUrlMenuId = sysFlag + "Menu_" + "_" + list[j].menuId;
                                                    }
                                                    //定义是否有默认选中菜单
                                                    var faultModleSelected = false;
                                                    if(i == 1 && !firstMenu){
                                                        //默认选中第一个
                                                        faultModleSelected = true;
                                                        defaultUrl = menuUrl;
                                                        firstUrlMenuId = sysFlag + "Menu_" + "_" + list[j].menuId;
                                                        firstMenu = true;
                                                    }
                                                    menuALi = newAliFun(list[j].menuName, list[j].menuIcon, menuUrl,faultModleSelected,list[j].menuId);
                                                    faultModleSelected = false;
                                                    menuAUL.append(menuALi);
                                                    mulLi.append(menuAUL);
                                                }
                                            }
                                        }
                                        $('#indexTreeMenu').append(mulLi);
                                    }
                                }
                            }
                            if(sysULReal != ''){
                                //包含默认菜单即显示默认菜单
                                $("#iFrame1").prop('src',sysULReal);
                                //赋值选中class
                                $("#"+defaultUrlMenuId).addClass("indexSelected");
                                if(firstUrlMenuId != '') {
                                    $("#" + firstUrlMenuId).removeClass("indexSelected");
                                }
                            }else{
                                //不包含还是按原来
                                $("#iFrame1").prop('src',sysUL);
                            }
                        }
                    }
                }
            }
        };
        ajaxJsonFun();
        //取出历史选中并选中
        //getBrowItem();
        $("#stateBtn").click(function () {
            $('#exampleModal').modal('hide');  //手动关闭
        });
    });
</script>
<body class="hold-transition skin-blue sidebar-mini" data-spy="scroll" data-target="#scrollspy" scroll="no">
<input type="hidden" id="POWER_URLHEAD" value="${POWER_URLHEAD}">
<input type="hidden" id="POWER_JSP" value="${POWER_JSP}">
<input type="hidden" id="webSocketUrl" value="${WEBSOCKET_URLHEAD}">
<input type="hidden" id="strSplit" value="${STR_SPLIT}">
<input type="hidden" id="userId" value="${CURRENT_USER.userId}">
<input type="hidden" id="roleId" value="${CURRENT_USER.roleId}">
<div class="wrapper">

    <header class="main-header">
        <!-- Logo -->
        <div class="logo">
            <!-- mini logo for sidebar mini 50x50 pixels -->
            <%--<span class="logo-mini"><b>A</b>LT</span>--%>
            <!-- logo for regular state and mobile devices -->
            <span>病案归档系统</span>
        </div>
        <!-- Header Navbar: style can be found in header.less -->
        <nav class="navbar navbar-static-top" role="navigation">
            <!-- Sidebar toggle button-->
            <a href="#" class="sidebar-toggle" data-toggle="push-menu" role="button">
                <span class="sr-only">Toggle navigation</span>
            </a>
            <!-- Navbar Right Menu -->
            <div class="navbar-custom-menu">
                <ul class="nav navbar-nav">
                    <li class="user user-menu">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown" onclick="noticeManage1(-1)">
                            <span class="label label-warning" id="noticeCount">0</span>
                            <i class="fa fa-envelope-o" style="font-size: 20px;"></i>
                        </a>
                    </li>
                    <li class="user user-menu">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            <img src="${path}/static/bootstrap-3.3.7/bower_components/bootstrap/dist/img/user2-160x160.jpg" class="user-image"
                                 alt="User Image">
                            <c:choose>
                                <c:when test="${CURRENT_USER.remark == '' || CURRENT_USER.remark == null || CURRENT_USER.remark == 'null'}">
                                    <c:choose>
                                        <c:when test="${CURRENT_USER.userPosition != null && CURRENT_USER.userPosition != '' && CURRENT_USER.userPosition != 'null'}">
                                            <div class="hidden-xs" title="${CURRENT_USER.userPosition}">${CURRENT_USER.userPosition}</div>
                                        </c:when>
                                        <c:otherwise>
                                            <div class="hidden-xs" title="${CURRENT_USER.userName}">${CURRENT_USER.userName}</div>
                                        </c:otherwise>
                                    </c:choose>
                                </c:when>
                                <c:otherwise>
                                    <c:choose>
                                        <c:when test="${CURRENT_USER.userPosition != null && CURRENT_USER.userPosition != '' && CURRENT_USER.userPosition != 'null'}">
                                            <div class="hidden-xs" title="${CURRENT_USER.userPosition}(${CURRENT_USER.remark})">${CURRENT_USER.userPosition}(${CURRENT_USER.remark})</div>
                                        </c:when>
                                        <c:otherwise>
                                            <div class="hidden-xs" title="${CURRENT_USER.userName}(${CURRENT_USER.remark})">${CURRENT_USER.userName}(${CURRENT_USER.remark})</div>
                                        </c:otherwise>
                                    </c:choose>
                                </c:otherwise>
                            </c:choose>
                        </a>
                    </li>
                    <li class="home-menu">
                        <a href="${POWER_URLHEAD}/gatewayPage"><i class="fa fa-home" style="font-size: 20px" title="点击返回主页"></i></a>
                        <ul class="dropdown-menu" role="menu">
                            <li><a href="${POWER_URLHEAD}/gatewayPage">返回主页</a></li>
                            <li class="divider"></li>
                            <li><a href="${POWER_URLHEAD}/logout?token=${token}">退出登陆</a></li>
                        </ul>
                    </li>
                </ul>
            </div>
        </nav>
    </header>
    <!-- Left side column. contains the logo and sidebar -->
    <%--<aside class="main-sidebar">--%>
    <%--<!-- sidebar: style can be found in sidebar.less -->--%>
    <%--<div class="sidebar" id="scrollspy">--%>

    <%--<!-- sidebar menu: : style can be found in sidebar.less -->--%>
    <%--<ul class="nav sidebar-menu">--%>
    <%--<li class="header">TABLE OF CONTENTS</li>--%>
    <%--<li class="active"><a href="#introduction"><i class="fa fa-circle-o"></i> Introduction</a></li>--%>
    <%--<li><a href="#download"><i class="fa fa-circle-o"></i> Download</a></li>--%>
    <%--<li><a href="#dependencies"><i class="fa fa-circle-o"></i> Dependencies</a></li>--%>
    <%--<li><a href="#advice"><i class="fa fa-circle-o"></i> Advice</a></li>--%>
    <%--<li><a href="#layout"><i class="fa fa-circle-o"></i> Layout</a></li>--%>
    <%--<li><a href="#adminlte-options"><i class="fa fa-circle-o"></i> Javascript Options</a></li>--%>
    <%--<li class="treeview" id="scrollspy-components">--%>
    <%--<a href="javascript:void(0)"><i class="fa fa-circle-o"></i> Components</a>--%>
    <%--<ul class="nav treeview-menu">--%>
    <%--<li><a href="#component-main-header">Main Header</a></li>--%>
    <%--<li><a href="#component-sidebar">Sidebar</a></li>--%>
    <%--<li><a href="#component-control-sidebar">Control Sidebar</a></li>--%>
    <%--<li><a href="#component-info-box">Info Box</a></li>--%>
    <%--<li><a href="#component-box">Boxes</a></li>--%>
    <%--<li><a href="#component-direct-chat">Direct Chat</a></li>--%>
    <%--</ul>--%>
    <%--</li>--%>
    <%--<li><a href="#plugins"><i class="fa fa-circle-o"></i> Plugins</a></li>--%>
    <%--<li><a href="#browsers"><i class="fa fa-circle-o"></i> Browser Support</a></li>--%>
    <%--<li><a href="#upgrade"><i class="fa fa-circle-o"></i> Upgrade Guide</a></li>--%>
    <%--<li><a href="#implementations"><i class="fa fa-circle-o"></i> Implementations</a></li>--%>
    <%--<li><a href="#faq"><i class="fa fa-circle-o"></i> FAQ</a></li>--%>
    <%--<li><a href="#license"><i class="fa fa-circle-o"></i> License</a></li>--%>
    <%--</ul>--%>
    <%--</div>--%>
    <%--<!-- /.sidebar -->--%>
    <%--</aside>--%>
    <aside class="main-sidebar">
        <section class="sidebar">
            <!-- 菜单列表-->
            <ul id="indexTreeMenu" class="sidebar-menu" data-widget="tree">
                <%--<li class="active treeview">--%>
                <%--<a href="#">--%>
                <%--<i class="fa fa-dashboard"></i> <span>病案归档管理</span>--%>
                <%--<span class="pull-right-container">--%>
                <%--<i class="fa fa-angle-left pull-right"></i>--%>
                <%--</span>--%>
                <%--</a>--%>
                <%--<ul class="treeview-menu">--%>
                <%--<li><a href="${path}/inHosp/inHospitals" target="iFrame1"><i class="fa fa-circle-o"></i>在院浏览</a>   </li>--%>
                <%--<li><a href="${path}/beHosp/beHosps" target="iFrame1"><i class="fa fa-circle-o"></i>出院浏览</a></li>--%>
                <%--<li><a href="${path}/unfile/unfileMedicals" target="iFrame1"><i class="fa fa-circle-o"></i>未归档病历列表</a></li>--%>
                <%--<li><a href="${path}/fault/faults" target="iFrame1" ><i class="fa fa-circle-o"></i>缺陷列表</a></li>--%>
                <%--<li><a href="${path}/medicalRecall/recall" target="iFrame1"><i class="fa fa-circle-o"></i>病案召回</a></li>--%>
                <%--<li><a href="${path}/recallDate/recallDates" target="iFrame1"><i class="fa fa-circle-o"></i>病案召回日期</a></li>--%>
                <%--<li><a href="${path}/lastVerify/lastVerifys" target="iFrame1"><i class="fa fa-circle-o"></i>病案室审核(终审)</a></li>--%>
                <%--&lt;%&ndash;<li><a href="${path}/recallDate/recalltes" target="iFrame1"><i class="fa fa-circle-o"></i>病案归档统计</a></li>&ndash;%&gt;--%>
                <%--</ul>--%>
                <%--</li>--%>
                <%--<li class="active treeview">--%>
                <%--<a href="#">--%>
                <%--<i class="fa fa-dashboard"></i> <span>其他管理</span>--%>
                <%--<span class="pull-right-container">--%>
                <%--<i class="fa fa-angle-left pull-right"></i>--%>
                <%--</span>--%>
                <%--</a>--%>
                <%--<ul class="treeview-menu">--%>
                <%--<li><a href="${path}/faultType/faultTypes" target="iFrame1"><i class="fa fa-circle-o"></i>缺陷类别列表</a></li>--%>
                <%--<li><a href="${path}/dictionary/dictionarys" target="iFrame1"><i class="fa fa-circle-o"></i>字典列表</a></li>--%>
                <%--&lt;%&ndash;<li><a href="${path}/paper/allPaper" target="iFrame1"><i class="fa fa-circle-o"></i>通知管理</a></li>&ndash;%&gt;--%>
                <%--</ul>--%>
                <%--</li>--%>
            </ul>
        </section>
    </aside>


    <div class="content-wrapper">
        <iframe style="width:100%; overflow-x:hidden;overflow-y:scroll" id="iFrame1" name="iFrame1" frameborder="0"></iframe>
    </div>
    <footer class="main-footer">
        <div class="pull-right">
            <b>Version</b> 20210607
        </div>
        <strong>Copyright &copy; 2019-2090 厦门嘉时软件.</strong> All rights
        reserved.
    </footer>

    <!-- Control Sidebar -->
    <%--<aside class="control-sidebar control-sidebar-dark">--%>
    <%--<!-- Create the tabs -->--%>
    <%--<div class="pad">--%>
    <%--This is an example of the control sidebar.--%>
    <%--</div>--%>
    <%--</aside><!-- /.control-sidebar -->--%>
    <!-- Add the sidebar's background. This div must be placed
         immediately after the control sidebar -->
    <div class="control-sidebar-bg"></div>

</div><!-- ./wrapper -->

<%--确认框--%>
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content ">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title" id="exampleModalLabel">确认</h4>
            </div>
            <div class="modal-body">
                <form>
                    <div class="form-group">
                        <input type="hidden" id="idT" name="idT" value=""/>
                        <label class="control-label">用户长时间未操作，请重新登录！</label>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <%--<button type="button" class="btn btn-default btn-sm" data-dismiss="modal">返回</button>--%>
                <button type="button" class="btn btn-primary btn-sm" id="stateBtn">确认</button>
            </div>
        </div>
    </div>
</div>
<%@ include file="/WEB-INF/jspf/webSocket.jspf" %>
<script src="${path}/static/js/index.js?time=2020-11-13"></script>
</body>
</html>
