﻿<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<html>
<head>
    <title>病案提交报表</title>
    <meta charset="utf-8">
    <!-- 解决部分兼容性问题，如果安装了GCF，则使用GCF来渲染页面，如果未安装GCF，则使用最高版本的IE内核进行渲染。 -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <!-- 页面按原比例显示 -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <%@include file="../../jspf/comm.jspf" %>
    <link rel="shortcut icon" href="${path}/favicon.ico">
    <style>
        /* .divCss {
             margin-top: 5px;
         }*/
        .divCss8 {
            margin-top: 5px;
            margin-right: 20px;
        }

        /* dataTables表头居中 */
        /*.table > thead:first-child > tr:first-child > th {
            text-align: center !important;
        }*/
        /**
        *多选下拉框
        */
        .bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) {
            width: 168px !important;
        }

        /* .table{
             overflow: hidden;
         }*/
        #tableDiv>.bootstrap-table>.fixed-table-container>.fixed-table-header .table>thead>tr:first-child>th:nth-child(9){
            background:green
        }
        #tableDiv>.bootstrap-table>.fixed-table-container>.fixed-table-header .table>thead>tr:first-child>th:nth-child(8){
            background:mediumseagreen;
        }
        #tableDiv>.bootstrap-table>.fixed-table-container>.fixed-table-header .table>thead>tr:first-child>th:nth-child(7){
            background:limegreen;
        }
        #tableDiv>.bootstrap-table>.fixed-table-container>.fixed-table-header .table>thead>tr:first-child>th:nth-child(6){
            background:springgreen;
        }
        #tableDiv>.bootstrap-table>.fixed-table-container>.fixed-table-header .table>thead>tr:first-child>th:nth-child(5){
            background:lawngreen;
        }
        #tableDiv>.bootstrap-table>.fixed-table-container>.fixed-table-header .table>thead>tr:first-child>th:nth-child(4){
            background:palegreen;
        }


        #tableDiv>.bootstrap-table>.fixed-table-container>.fixed-table-header .table>thead>tr:last-child>th:nth-child(-n+18){
            background:green
        }
        #tableDiv>.bootstrap-table>.fixed-table-container>.fixed-table-header .table>thead>tr:last-child>th:nth-child(-n+15){
            background:mediumseagreen;
        }
        #tableDiv>.bootstrap-table>.fixed-table-container>.fixed-table-header .table>thead>tr:last-child>th:nth-child(-n+12){
            background:limegreen;
        }
        #tableDiv>.bootstrap-table>.fixed-table-container>.fixed-table-header .table>thead>tr:last-child>th:nth-child(-n+9){
            background:springgreen;
        }
        #tableDiv>.bootstrap-table>.fixed-table-container>.fixed-table-header .table>thead>tr:last-child>th:nth-child(-n+6){
            background:lawngreen;
        }
        #tableDiv>.bootstrap-table>.fixed-table-container>.fixed-table-header .table>thead>tr:last-child>th:nth-child(-n+3){
            background:palegreen;
        }
    </style>
    <script>
        var path = "${path}";
    </script>
</head>

<body>
<!--当前操作角色-->
<input type="hidden" id="checker">
<input type="hidden" id="flag" value="">
<div class="mainBody">
    <div class="main">
        <div class="headDiv">
            <div class="headSpanDiv">
        <span class="headspan">
            病案提交报表
        </span>
            </div>
        </div>
        <div class="mainDiv">
            <!--搜索-->
            <form style="margin-top:5px;margin-bottom: 0!important;">
                <div class="form-inline">
                    <div class="form-group divCss8">
                        <label>出院日期:</label>
                        <div class="input-group">
                            <input type="text" class="input-sm form-control" id="startTime1" style="text-align: center"
                                   maxlength="10" autocomplete="off" value="${startDate}"/>
                            <span class="input-group-addon">-</span>
                            <input type="text" class="input-sm form-control" id="endTime1" style="text-align: center"
                                   maxlength="10" autocomplete="off" value="${endDate}"/>
                        </div>
                    </div>
                    <div class="form-group divCss">
                        <label>出院时段:</label>
                        <select class="form-control input-sm" id="timeInterval"
                                onchange="loadTableByTime(this.options[this.options.selectedIndex].value,'startTime1','endTime1','table')">
                        </select>
                    </div>
                    <div class="form-group divCss8">
                        <label>出院科室:</label>
                        <select class="selectpicker bla bla bli" multiple data-live-search="true"  data-actions-box="true" name="deptName" id="deptName" title="请输入出院科室">
                        </select>
                    </div>
                    <%--<div class="form-group divCss8">
                        <label>患者姓名:</label>
                        <input type="text" class="form-control input-sm" id="name" maxlength="8">
                    </div>
                    <div class="form-group divCss8">
                        <label>&emsp;住院号:</label>
                        <input type="text" class="form-control input-sm" id="inpNo" maxlength="25">
                    </div>--%>
                    <div class="form-group divCss8">
                        <button type="button" class="btn btn-primary btn-sm divCss" id="searchBtnStatistics">查询</button>
                        <button type="button" class="btn btn-info btn-sm divCss" id="excelBtn">条件导出</button>
                    </div>
                </div>
            </form>
            <div class="col-md-12" style="text-align: center;">
                <p>出院病人&nbsp;<span style="color:red" id="allCount">0</span>&nbsp;个,
                    其中已提交病历&nbsp;<span style="color:red" id="count1">0</span>&nbsp;个,
                    总体提交率&nbsp;<span style="color:red" id="count1Percent">0%</span>&nbsp;;
                    病历归档&nbsp;<span style="color:red" id="count2">0</span>&nbsp;个,
                    总体归档率&nbsp;<span style="color:red" id="count2Percent">0%</span>&nbsp;;
                    病历采集完整&nbsp;<span style="color:red" id="count3">0</span>&nbsp;份,
                    总体完整率&nbsp;<span style="color:red" id="count3Percent">0%</span>&nbsp;;</p>
            </div>
            <!--数据表格-->
            <div id="tableDiv">
                <table id="table" class="table text-nowrap table-bordered"></table>
            </div>
        </div>
    </div>
</div>
<%--查看流程弹窗--%>
<div class="modal fade" id="showFlowInfo" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content modal-contentHigh">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title">查看流程</h4>
            </div>
            <div class="modal-body">
                <iframe id="showFlowInfoIframe" width="100%" height="100%" scrolling="yes"></iframe>
            </div>
        </div>
    </div>
</div>
<script src="${path}/static/js/statistics/getDeptCommom.js?time=2020-08-18"></script>
<script src="${path}/static/js/statistics/statisticsCommom.js?t=2020-07-24"></script>
<script src="${path}/static/js/record/submitRecord.js?time=2021-07-30"></script>
<script src="${path}/static/js/record/expandRowCommom.js?time=2021-05-17"></script>
</body>
</html>