﻿<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<html>
<head>
    <title>采集器状态</title>
    <meta charset="utf-8">
    <!-- 解决部分兼容性问题，如果安装了GCF，则使用GCF来渲染页面，如果未安装GCF，则使用最高版本的IE内核进行渲染。 -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <!-- 页面按原比例显示 -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <%@include file="../../jspf/comm.jspf" %>
    <style>
        .divCss {
            margin-top: 5px;
        }

        .divCss8 {
            margin-top: 5px;
            margin-right: 20px;
        }

        /* dataTables表头居中 */
        .table > thead:first-child > tr:first-child > th {
            text-align: center !important;
        }
    </style>
    <script>
        var path = "${path}";
    </script>
</head>

<body>
<!--隐藏是否是初始化-->
<input type="hidden" id="isSearch" value="1">
<div class="mainBody">
    <div class="main">
        <div class="headDiv">
            <div class="headSpanDiv">
        <span class="headspan">
            采集器状态
        </span>
            </div>
        </div>
        <div class="mainDiv">
            <!--搜索-->
            <form>
                <div class="form-inline" style="margin-left:5px;margin-top:5px;margin-bottom: 0!important;">
                    <div class="form-group divCss">
                        <label>业务系统:</label>
                        <select class="form-control input-sm" id="collectorKey">
                            <option value="">全部</option>
                            <option value="15">电子病历系统采集服务-嘉禾美康</option>
                            <option value="06">LIS系统采集服务</option>
                            <option value="3">PACS系统采集服务</option>
                            <option value="12">心理测量报告采集器服务</option>
                            <option value="01">移动护理系统采集服务</option>
                            <option value="08">电子病历系统采集服务-长临医嘱</option>
                            <option value="04">电生理系统采集服务</option>
                            <option value="03">pacs</option>
                        </select>
                    </div>
                    <%--<div class="form-group divCss8" id="day">--%>
                        <%--<label>出院日查询:</label>--%>
                        <%--<div class="input-group">--%>
                            <%--<input type="text" class="input-sm form-control" id="startTime1" style="text-align: center"--%>
                                   <%--maxlength="10" autocomplete="off" value="${startDate}"/>--%>
                            <%--<span class="input-group-addon">-</span>--%>
                            <%--<input type="text" class="input-sm form-control" id="endTime1" style="text-align: center"--%>
                                   <%--maxlength="10" autocomplete="off" value="${endDate}"/>--%>
                        <%--</div>--%>
                    <%--</div>--%>
                    <%--<div class="form-group divCss8" id="month" style="display: none">--%>
                        <%--<label>出院月查询:</label>--%>
                        <%--<div class="input-group">--%>
                            <%--<input type="text" class="input-sm form-control" id="startTime3" style="text-align: center"--%>
                                   <%--maxlength="10" autocomplete="off"/>--%>
                            <%--<span class="input-group-addon">-</span>--%>
                            <%--<input type="text" class="input-sm form-control" id="endTime3" style="text-align: center"--%>
                                   <%--maxlength="10" autocomplete="off"/>--%>
                        <%--</div>--%>
                    <%--</div>--%>
                    <%--<div class="form-group divCss8" id="year" style="display: none">--%>
                        <%--<label>出院年查询:</label>--%>
                        <%--<div class="input-group">--%>
                            <%--<input type="text" class="input-sm form-control" id="startTime4" style="text-align: center"--%>
                                   <%--maxlength="10" autocomplete="off"/>--%>
                            <%--<span class="input-group-addon">-</span>--%>
                            <%--<input type="text" class="input-sm form-control" id="endTime4" style="text-align: center"--%>
                                   <%--maxlength="10" autocomplete="off"/>--%>
                        <%--</div>--%>
                    <%--</div>--%>
                    <%--<div class="form-group divCss" id="dateRange">--%>
                        <%--<label>扫描时段:</label>--%>
                        <%--<select class="form-control input-sm" id="timeInterval"--%>
                                <%--onchange="loadTableByTime(this.options[this.options.selectedIndex].value,'startTime1','endTime1','table')">--%>
                        <%--</select>--%>
                    <%--</div>--%>
                    <%--<div class="form-group divCss8">--%>
                        <%--<label>扫描人:</label>--%>
                        <%--<input type="text" class="form-control input-sm" id="name" maxlength="8">--%>
                    <%--</div>--%>
                    <button type="button" class="btn btn-primary btn-sm divCss" id="searchBtn">查询</button>
                    <%--<button type="button" class="btn btn-info btn-sm divCss" id="excelBtn">条件导出</button>--%>
                </div>
            </form>
            <!--数据表格-->
            <table id="table" class="table table-striped"></table>
            <%--<div id="toolbar" class="btn-group pull-right" style="margin-right: 20px;">--%>
                <%--<div class="columns columns-right btn-group pull-right">--%>
                    <%--<div class="btn-group btn-info">--%>
                        <%--<select id="sel_exportoption" class="form-control">                --%>
                            <%--<option value="">导出当前页面数据</option>--%>
                            <%--               --%>
                            <%--<option value="all">导出全部数据</option>--%>
                            <%--             --%>
                            <%--<option value="selected">导出选中数据</option>--%>
                        <%--</select>--%>
                    <%--</div>--%>
                    <%--<button class=" btn btn-success" style="height: 34px" type="button" id="refreshBtn" name="refresh"--%>
                            <%--aria-label="Refresh"--%>
                            <%--title="Refresh">--%>
                        <%--<i class="glyphicon glyphicon-refresh icon-refresh"></i>--%>
                    <%--</button>--%>
                <%--</div>--%>
            <%--</div>--%>
        </div>
    </div>
</div>
<script src="${path}/static/js/statistics/collectorStatus.js?time=2021-07-30"></script>
<script src="${path}/static/js/statistics/statisticsCommom.js?time=2020-07-24"></script>
<script src="${path}/static/js/record/getStartDateAndEndDateGroupbyDayMonthYear.js"></script>
</body>
</html>