//获取表单token,防止表单重复提交
function setFormToken(){
    $.ajax({
        type:'get',
        url:path+"/contant/getUuid",
        async:false,
        dataType:'json',
        success:function(data){
            if(data != null){
                $("#formToken").val(data);
                $("#formToken1").val(data);
            }
        }
    })
}
//根据多选下拉框id获取多选下拉框选中的值
function getSelecteds(id){
    var arr = $("#"+id).val();
    var values = '';
    if(arr != undefined && arr.length > 0){
        for (var i = 0; i < arr.length; i++) {
            if(arr[i] != ''){
                if(values != ''){
                    values += ',';
                }
                values += "'" + arr[i] + "'";
            }
        }
    }
    return values;
}
//加载科室
//flag=1显示全部科室 flag=2显示过滤科室
function getDept() {
    //获取科室列表
    $.ajax({
        url: path+"/inHosp/getDept",
        type: "POST",
        data: {effective: 1, typecode: "dept_code"},
        success: function (result) {
            if (result != null) {
                var html = '';
                for (var i = 0; i < result.length; i++) {
                    var name = result[i].name;
                    var py = makePy(name);
                    var pingyin = ConvertPinyin(name);
                    html += '<option data-tokens="' + name + '|' + py[0] + '|' + pingyin + '" value="' + result[i].code + '">' + name + '</option>';
                }
                $("#deptName").append(html);
                $("#deptAdmissionTo").append(html);
            }
            $(".selectpicker").selectpicker('refresh'); //
        }
    });
}
//加载权限科室
function getPowerDept() {
    //获取科室列表
    $.ajax({
        url: path+"/inHosp/getDept",
        type: "POST",
        data: {effective: 1, typecode: "dept_code"},
        success: function (result) {
            if (result != null) {
                var html = '';
                var deptNameForQuery = getDeptNameForQuery();
                for (var i = 0; i < result.length; i++) {
                    var flag = 0;
                    if(deptNameForQuery != ''){
                        var deptNameForQueryArr = deptNameForQuery.split(",");
                        for (var j = 0; j < deptNameForQueryArr.length; j++) {
                            if(result[i].code == deptNameForQueryArr[j]){
                                flag = 1;
                            }
                        }
                    }
                    if(flag == 1 || deptNameForQuery == '') {
                        var name = result[i].name;
                        var py = makePy(name);
                        var pingyin = ConvertPinyin(name);
                        html += '<option data-tokens="' + name + '|' + py[0] + '|' + pingyin + '" value="' + result[i].code + '">' + name + '</option>';
                    }
                }
                $("#deptName").append(html);
                $("#deptAdmissionTo").append(html);
            }
            $(".selectpicker").selectpicker('refresh');
        }
    });
}
//列表根据科室查询逻辑方法
function getDeptNameForQuery(){
    var deptAdmissionTo = localStorage.getItem($("#userId").val()+"_depts");
    var deptName = $("#deptName").val();
    if(deptName.length > 0){
        deptAdmissionTo = deptName.toString();
    }
    return deptAdmissionTo;
}
//键盘回车查询
$(document).keyup(function(event){
    if(event.keyCode ==13){
        $("#searchBtn").trigger("click");
    }
});
/**
 * 判断出院日期是否是1801-02-03
 * */
function operDisDate(value){
    if(value != '' && value != null){
        if(value.length >= 10){
            value = value.substring(0, 10);
        }
        if(value == '1801-02-03'){
            return '';
        }
    }
    return value;
}
/**
 * 判断出院时间是否是1801-02-03
 * */
function operDisTime(value){
    if(value != '' && value != null){
        if (value.length >= 10 && '1801-02-03' == value.substring(0, 10)) {
            value = '';
        }
        if(value.length >= 19){
            return value.substring(0, 19);
        }else{
            return value;
        }
    }
}
//封装改变日期方法
function initDateInput(startTimeId,endTimeId){
    $('#'+startTimeId).datepicker({
        language: "zh-CN",
        format: "yyyy-mm-dd",
        autoclose: true//选中之后自动隐藏日期选择框
    }).on('changeDate',function(){
        $("#beginTime-error").hide();
        var startTime= $("#"+startTimeId).val();
        $("#"+endTimeId).datepicker('setStartDate',startTime);
        $("#"+startTimeId).datepicker('hide');
    });

    $('#'+endTimeId).datepicker({
        language: "zh-CN",
        format: "yyyy-mm-dd",
        autoclose: true//选中之后自动隐藏日期选择框
    }).on('changeDate',function(){
        var startTime = $("#"+startTimeId).val();
        var endtime = $("#"+endTimeId).val();
        $("#"+startTimeId).datepicker('setEndDate',endtime);
        $("#"+endTimeId).datepicker('hide');
    });
}
//获取table的高度
function getHeight(height) {
    return $(window).height() - height;
}
//重设表格高度
function reloadTableHeight(tableId) {
    //获取表格内容高度
    var height = $(".fixed-table-body #"+tableId).height();
    //刷新
    $('#'+tableId).bootstrapTable('resetView', { height: "auto" });
    //计算body所需高度
    var tableBodyHeight = height-6;
    //赋值body高度，且定义最高高度
    if(maxHeight == 0){
        maxHeight = tableBodyHeight;
    }
    $(".fixed-table-body").css({height:tableBodyHeight,"max-height":maxHeight});
}

//加载时段
function loadTimeInterval(){
    $.ajax({
        type:'get',
        url:path+'/static/json/timeInterval.json',
        dataType:'json',
        success:function(data){
            if(data != ''){
                var html = '<option value="">不限</option>';
                var timeIntervalTemp = $("#timeIntervalTemp").val();
                for (var i = 0; i < data.length; i++) {
                    if(timeIntervalTemp == data[i].code){
                        html += '<option value="'+data[i].code+'" selected>'+data[i].name+'</option>'
                    }else{
                        html += '<option value="'+data[i].code+'">'+data[i].name+'</option>'
                    }
                }
                $("#timeInterval").append(html);
            }
        }
    })
}

//出院时段触发查询
function loadTableByTime(value,startDateId,endDateId,tableId){
    //填空出院日期搜索框并立即查询
    //开始日期id
    var startDateDocument = $("#"+startDateId);
    //结束日期id
    var endDateDocument = $("#"+endDateId);
    switch (value) {
        case '':
            //不限
            startDateDocument.val("");
            break;
        case '1':
            //3天内
            //开始日期为3天前getHisDay
            startDateDocument.val(getHisDay(3));
            break;
        case '2':
            //7天内
            //开始日期为7天前getHisDay
            startDateDocument.val(getHisDay(7));
            break;
        case '3':
            //1个月内
            //开始日期为1个月前
            startDateDocument.val(getPreMonthToday());
            break;
        case '4':
            //3个月内
            //开始日期为6个月前
            startDateDocument.val(getPreMonthDay(getNowDay(),3));
            break;
    }
    if(value != ''){
        //非不限结束日期均为今天
        //结束时间为今天
        endDateDocument.val(getNowDay());
    }else{
        //结束时间为今天
        endDateDocument.val("");
    }
    $("#"+tableId).bootstrapTable("refreshOptions", {pageNumber: 1});
}

jQuery(function ($) {
    //解决模态框背景色越来越深的问题
    $(document).on('show.bs.modal', '.modal', function (event) {
        $(this).appendTo($('body'));
    }).on('shown.bs.modal', '.modal.in', function (event) {
        setModalsAndBackdropsOrder();
    }).on('hidden.bs.modal', '.modal', function (event) {
        setModalsAndBackdropsOrder();
    });

    function setModalsAndBackdropsOrder() {
        var modalZIndex = 1040;
        $('.modal.in').each(function (index) {
            var $modal = $(this);
            modalZIndex++;
            $modal.css('zIndex', modalZIndex);
            $modal.next('.modal-backdrop.in').addClass('hidden').css('zIndex', modalZIndex - 1);
        });
        $('.modal.in:visible:last').focus().next('.modal-backdrop.in').removeClass('hidden');
    }

    //覆盖Modal.prototype的hideModal方法
    $.fn.modal.Constructor.prototype.hideModal = function () {
        var that = this
        this.$element.hide()
        this.backdrop(function () {
            //判断当前页面所有的模态框都已经隐藏了之后body移除.modal-open，即body出现滚动条。
            $('.modal.fade.in').length === 0 && that.$body.removeClass('modal-open')
            that.resetAdjustments()
            that.resetScrollbar()
            that.$element.trigger('hidden.bs.modal')
        })
    }
});
//封装导出postForm表单提交公共方法
function post(url, params) {
    // 创建form元素
    var temp_form = document.createElement("form");
    // 设置form属性
    temp_form .action = url;
    temp_form .target = "_self";
    temp_form .method = "post";
    temp_form .style.display = "none";
    // 处理需要传递的参数
    for (var x in params) {
        var opt = document.createElement("textarea");
        opt.name = x;
        opt.value = params[x];
        temp_form .appendChild(opt);
    }
    document.body.appendChild(temp_form);
    // 提交表单
    temp_form .submit();
}
//日期操作
//获取当天日期
function getNowDay(){
    var myDate = new Date;
    var year = myDate.getFullYear(); //获取当前年
    var mon = myDate.getMonth() + 1; //获取当前月
    if(mon < 10){
        mon = '0'+mon;
    }
    var date = myDate.getDate();
    if(date < 10){
        date = '0'+date;
    }
    return year+'-'+mon+'-'+date;
}

//获取前几天的信息
function getHisDay(days){
    var time=(new Date).getTime()-24*60*60*1000*days;
    var yesterday=new Date(time);
    var month=yesterday.getMonth();
    var day=yesterday.getDate();
    yesterday=yesterday.getFullYear() + "-" + (month >= 9 ? (month + 1) : "0" + (month + 1)) + "-" +(day> 9 ? (day) : "0" + (day));
    return yesterday;
}

//获取当前日期的前一个月日期
function getPreMonthToday(){
    var currentYear = new Date().getFullYear();
    var currentMonth = new Date().getMonth();
    var day = new Date().getDate();
    if(day < 10){
        day = '0'+day;
    }
    if(currentMonth < 10){
        currentMonth = '0'+currentMonth;
    }
    if(currentMonth == '02' && day > 28){
        day = 28;
    }
    if(day == 31){
        if(currentMonth == 0 || currentMonth == 7) {
            day = 31;
        }else{
            day = 30;
        }
    }
    var date = currentYear+'-'+currentMonth+'-'+day;
    if(currentMonth == 0){
        currentYear = currentYear-1;
        date =currentYear +'-'+12+'-'+day;
    }
    return date;
}

//获取前几个月的日期
function getPreMonthDay(date, monthNum) {
    var dateArr = date.split('-')
    var year = dateArr[0] //获取当前日期的年份
    var month = dateArr[1] //获取当前日期的月份
    var day = dateArr[2] //获取当前日期的日
    var days = new Date(year, month, 0)
    days = days.getDate() //获取当前日期中月的天数
    var year2 = year
    var month2 = parseInt(month) - monthNum
    if (month2 <= 0) {
        year2 =
            parseInt(year2) -
            parseInt(month2 / 12 == 0 ? 1 : Math.abs(parseInt(month2 / 12)) + 1)
        month2 = 12 - (Math.abs(month2) % 12)
    }
    var day2 = day
    var days2 = new Date(year2, month2, 0)
    days2 = days2.getDate()
    if (day2 > days2) {
        day2 = days2
    }
    if (month2 < 10) {
        month2 = '0' + month2
    }
    var t2 = year2 + '-' + month2 + '-' + day2
    return t2
}
$.ajaxSetup({
    contentType:"application/x-www-form-urlencoded;charset=utf-8",
    complete:function(XMLHttpRequest,textStatus){
        var sessionstatus=XMLHttpRequest.getResponseHeader("sessionstatus"); //通过XMLHttpRequest取得响应头，sessionstatus，
        if(sessionstatus=="timeout"){
            //如果超时就处理 ，指定要跳转的页面
            top.location.replace(path+"/login");
        }
    }
});
//获取url上的参数
function setSearchWhere(startDateId,endDateId){
    var params = window.location.search;
    if(params != '') {
        params = params.substring(1,params.length);
        var paramArr = params.split("&");
        if (paramArr != '') {
            var startDateTo = paramArr[0].split("=")[1];
            var endDateTo = paramArr[1].split("=")[1];
            $("#" + startDateId).val(startDateTo);
            $("#" + endDateId).val(endDateTo);
        }
    }
}
