//定义表格内容最大高度
var maxHeight = 0;
$(function () {
    initDateInput(1);
    initDateInput(2);
})
function initDateInput(idVal){
    $('#startTime'+idVal).datepicker({
        language: "zh-CN",
        format: "yyyy-mm-dd",
        autoclose: true//选中之后自动隐藏日期选择框
    }).on('changeDate',function(){
        $("#beginTime-error").hide();
        var startTime= $("#startTime"+idVal).val();
        $("#endTime"+idVal).datepicker('setStartDate',startTime);
        $("#startTime"+idVal).datepicker('hide');
    });

    $('#endTime'+idVal).datepicker({
        language: "zh-CN",
        format: "yyyy-mm-dd",
        autoclose: true//选中之后自动隐藏日期选择框
    }).on('changeDate',function(){
        var startTime = $("#startTime"+idVal).val();
        var endtime = $("#endTime"+idVal).val();
        $("#startTime"+idVal).datepicker('setEndDate',endtime);
        $("#endTime"+idVal).datepicker('hide');
    });
}

//检验表单
function checkForm(){
    var checkBoxes = '';
    if($("#startTime2").val() == ''){
        toastr.warning("开始时间不能为空");
        return;
    }
    if($("#endTime2").val() == ''){
        toastr.warning("结束时间不能为空");
        return;
    }
    $("input[class=week]:checked").each(function(){
        checkBoxes += $(this).val() + ",";
    })
    if(checkBoxes == ''){
        toastr.warning("需要勾选星期");
        return;
    }else{
        return checkBoxes;
    }
}
//保存工作日和非工昨日的公共方法
function saveMethod(flag){
    var checkBoxes = checkForm();
    if(checkBoxes != undefined){
        $.ajax({
            type:'post',
            url:path+'/holidaySet/save',
            data:{startTime:$("#startTime2").val(),endTime:$("#endTime2").val(),checkBoxes:checkBoxes,flag:flag},
            dataType:'json',
            success:function(data){
                if(data.code == 100){
                    toastr.success("保存成功");
                }else{
                    toastr.error(data.msg);
                }
            }
        })
        setTimeout(function(){
            window.location.reload();
        }, 1000);
    }
}
//全选
function selectAll(){
    var flag = $("#select").is(":checked");
    $("input[class=week]").each(function () {
        $(this).prop("checked",flag);
    });
}

//设为工作日
$("#saveSet").click(function(){
    saveMethod(1)
})
//设为非工作日
$("#saveHolidaySet").click(function(){
    saveMethod(2)
})
var tipLoad = 1;
var opts = {
    lines: 13, // The number of lines to draw |小长条的数量
    length: 20, // The length of each line |小长条的长度
    width: 5, // The line thickness |小长条的宽度
    //left: "50%",
    radius: 15, // The radius of the inner circle |内环的半径长
    corners: 1, // Corner roundness (0..1)
    rotate: 0, // The rotation offset |旋转角度
    direction: 1, // 1: clockwise, -1: counterclockwise |1：顺时针方向 -1：逆时针方向
    color: '#000', // #rgb or #rrggbb or array of colors |颜色
    speed: 1, // Rounds per second |每秒转多少圈
    trail: 60, // Afterglow percentage |余晖效果百分比
    shadow: false, // Whether to render a shadow |渲染阴影
    hwaccel: false, // Whether to use hardware acceleration |加速
    className: 'spinner', // The CSS class to assign to the spinner |类名spinner
    zIndex: 2e9, // The z-index (defaults to 2000000000) |显示在最顶层
    top: '70%', // Top position relative to parent in px |相对父元素的top
    //left: '90' // Left position relative to parent in px |相对父元素的left ，默认情况spinner是显示于父元素居中位置

};
var spinner = new Spinner(opts);

var url = "";


//修改权限
var updateFlag= 0;
$(function () {
    var url = window.location.href;
    var index = url.substring(url.lastIndexOf('?') + 1).replace("num=", "");
    if (index != null && index != "" && index.indexOf("update") != -1) {
        $("#saveSet").show();
        $("#saveHolidaySet").show();
        updateFlag = 1;
    } else {
        $("#saveSet").hide();
        $("#saveHolidaySet").hide();
    }
});


function initTable() {
    if (tipLoad == 1) {
        $("#table").bootstrapTable({ // 对应table标签的id
            //method: 'POST',
            url: path+"/holidaySet/getHolidaySetList", // 获取表格数据的url
            contentType: "application/x-www-form-urlencoded",//一种编码。好像在post请求的时候需要用到。这里用的get请求，注释掉这句话也能拿到数据
            //dataField: "data",//这是返回的json数组的key.默认是"rows".这里只有前后端约定好就行
            cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
            striped: true,  //是否显示行间隔色
            pagination: true, // 在表格底部显示分页组件，默认false
            paginationShowPageGo: true,
            pageList: [10, 20, 50, 100], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
            sidePagination: 'server', // 设置为服务器端分页     客户端：client
            search: false,
            showColumns: true,
            // sortable: true,
            // sortOrder: "asc",
            toolbar: '#toolbar',//指定工具栏
            searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
            undefinedText: '---', //当数据为 undefined 时显示的字符
            singleSelect: false,//设置True 将禁止多选
            clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
            //height: getHeight(266),     //定义表格的高度。
            searchTimeOut: 500,// 默认500  设置搜索超时时间。
            toolbarAlign: 'right',// 指定 toolbar 水平方向的位置。'left' 或 'right'
            paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
            showHeader: true,//是否显示列头。
            trimOnSearch: true,//设置为 true 将自动去掉搜索字符的前后空格。
            //是否显示导出按钮
            showExport: true,
            //导出表格方式（默认basic：只导出当前页的表格数据；all：导出所有数据；selected：导出选中的数据）
            exportDataType: "basic",
            //导出文件类型
            exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel'],
            exportOptions: {
                fileName: document.title
            },
            queryParams: function (params) {
                return{
                    limit : params.limit, // 每页显示数量
                    offset : params.offset, // SQL语句起始索引
                    page : (params.offset / params.limit) + 1, //当前页码,
                    startTime:$("#startTime1").val(),
                    endTime:$("#endTime1").val(),
                    flag:$("#flag").val()
                }
            },
            sortName: 'id', // 要排序的字段
            sortOrder: 'desc', // 排序规则
            columns: [{
                title: '全选',
                field: 'select',   //复选框
                checkbox: true,
                width: 25,
                align: 'center',
                valign: 'middle',

            },
                {
                    field: 'no',
                    title: '序号',
                    sortable: true,
                    align: 'center',
                    formatter: function (value, row, index) {
                        //获取每页显示的数量
                        var pageSize=$('#table').bootstrapTable('getOptions').pageSize;
                        //获取当前是第几页
                        var pageNumber=$('#table').bootstrapTable('getOptions').pageNumber;
                        //返回序号，注意index是从0开始的，所以要加上1
                        return pageSize * (pageNumber - 1) + index + 1;
                    }
                },
                {
                    title: '日期',
                    field: 'date',
                    align: 'center',
                    valign: 'middle',
                },
                {
                    title: '是否工作日',
                    field: 'flagCh',
                    align: 'center',
                    valign: 'middle',
                    formatter: function (value) {
                        if(value == '非工作日'){
                            return '<span style="color: red">'+value+'</span>';
                        }
                        return value;
                    }
                },
                {
                    title: '操作',
                    align: 'center',
                    valign: 'middle',
                    formatter: function () {
                        if(updateFlag == 1){
                            var html = '<button type="button" class="btn btn-info btn-sm editInfo" >修改</button>';
                            return html;
                        }
                    }, events: {
                        'click .editInfo': function (e, value, row) {
                            var flagCh = row.flagCh;
                            var tempFlagCh = '非工作日';
                            if(flagCh == '非工作日'){
                                tempFlagCh = '工作日';
                            }
                            Common.confirm({
                                title: "提示",
                                message: "您确定要将" + flagCh + row.date + "修改为" + tempFlagCh + "?",
                                operate: function (reselt) {
                                    if (reselt) {
                                        //flag == 1工作日，flag == 2非工作日
                                        var flag= row.flag;
                                        var url = path + "/holidaySet/update";
                                        $.post(url, {"flag": flag, "id": row.id},function(data){
                                            toastr.success("修改成功");
                                            $("#table").bootstrapTable("refresh");
                                        },'json');
                                    }
                                }
                            })
                        }
                    }
                },
            ],
            onLoadSuccess: function (result) {  //加载成功时执行
                $(".page-list").show();
                tipLoad = 0;
                reloadTableHeight("table");
            },
            onLoadError: function () {  //加载失败时执行
                tipLoad = 0
            }

        });
    }
}

$("#selModal").keydown(function (e) {
    if (e.keyCode == 13) {
        event.preventDefault();//禁用默认回车事件
    }
});

//查询
$('#searchBtn').click(function () {
    if (tipLoad == 0) {
        $("#table").bootstrapTable("refreshOptions", {pageNumber: 1});
    } else {
        toastr.warning("正在查询，请稍等...");
    }
});

initTable();

//2.初始化select的change事件
$("#sel_exportoption").change(function () {
    $('#table').bootstrapTable('refreshOptions', {
        exportDataType: $(this).val()
    });
});
$("#refreshBtn").click(function () {
    //刷新
    $('#table').bootstrapTable('refresh');
});

$(document).keydown(function (event) {
    if (event.keyCode == 13) {
        searchNode();
    }
});

$("#saveCommomSet").click(function(){
    var checked = $("#setIsScan").prop('checked');
    $.ajax({
        type:'post',
        url:path+"/commom/update",
        data:{id:1,int1:checked == true ? 1 : 0},
        dateType:'json',
        success:function(data){
            if(data.code == 100){
                toastr.success("保存修改成功");
            }else{
                toastr.error(data.msg);
            }
        }
    })
})
