$(function(){
    //初始化加载出院日期输入框
    //开始时间为上月今天
    //$("#startDateTo").val(getPreMonthToday());
    //结束时间为今天
    //$("#endDateTo").val(getNowDay());
    //结束时间为前天
    //$("#endDateTo1").val(getBeforeYesterDay());
    initDateInput('startDate','endDate');
    initDateInput('startDateTo','endDateTo');
    initDateInput('startDateTo1','endDateTo1');
    //加载时段
    loadTimeInterval();
})

//未终审页面、在院浏览、出院浏览查看病历时按审核角色查询分类，主要查询checker=2护士的只查看护理记录单和体温表
function getChecker(){
    $.get(path+'/beHosp/getChecker',function(data){
        if(data.code == 100){
            var checker = data.extend.checker;
            $("#checker").val(checker);
            //根据操作角色显示退回角色
            if(checker == 1){
                $("#returnDoctor").show();
            }else if(checker == 2){
                $("#returnNurse").show();
            }else{
                $("#returnDoctor").show();
                $("#returnNurse").show();
            }
        }else{
            toastr.error(data.msg);
        }
    },'json');
}

//查看病历清单时查询分段列表
function getZdAssort(){
    var inpType = $("#inpType").val();
    if(inpType == '' || inpType == null){
        $.ajax({
            type:'get',
            url:path+"/inHosp/getZdAssort",
            async:false,
            success:function(result) {
                if(result != null){
                    for (var i = 0; i < result.length; i++) {
                        $("#inpType").append("<option value=" + result[i].assortId + ">" + result[i].assortName + "</option>");
                    }
                }

            }
        })
    }
}

//查询按钮
$('#searchBtn').click(function () {
    //标识为按条件查询
    $("#isSearch").val(1);
    if(tipLoad==0) {
        $("#table").bootstrapTable("refreshOptions", {pageNumber: 1});
    }else{
        toastr.warning("正在查询，请稍等...");
    }
});

$("#pdfBtn").click(function () {
    //上传后预览pdf文件
    //生成pdf返回url
    var masterId = $("#idLab").html();
    if (masterId != "" && masterId != null) {
        var imgStr = "";
        var zTree = $.fn.zTree.getZTreeObj("ztree");//换成实际的图层的id
        var changedNodes = zTree.getChangeCheckedNodes(); //获取改变的全部结点
        for (var i = 0; i < changedNodes.length; i++) {
            var treeNode = changedNodes[i];
            if (treeNode.id != 0) {
                imgStr += "'" + treeNode.id + "',";
            }
        }
        //判断id
        if (imgStr == null || imgStr == '') {
            toastr.warning("请选择分段列表！");
            return;
        }
        //打开一个不被拦截的新窗口
        if(imgStr != ''){
            imgStr = imgStr.substring(0,imgStr.length-1);
        }
        var imgStrMd5 = md5(imgStr);
        var page = getPage(imgStrMd5,zNodes);
        var pdfUrl = path+"/static/pdfjs/web/viewer.html?file="+path+"/inHosp/getPdfToPdf/"+masterId+"/"+imgStr+"&page="+page+"&key="+imgStrMd5;
        var openWin = window.open(pdfUrl,"_blank");
        setTimeout(function(){ openWin.document.title = $("#nameLab").text(); }, 100);
        /*var url = path+"/inHosp/getPdfToPdf/"+masterId+"/"+imgStr;
        $.ajax({
            type:'post',
            url:url,
            success:function(data){
                if(data.code == 100){
                    var pdfUrl = path+"/static/pdfjs/web/viewer.html?file="+path+"/inHosp/showPdf";
                    var openWin = window.open(pdfUrl,"_blank");
                    setTimeout(function(){ openWin.document.title = $("#nameLab").text(); }, 100);
                }else{
                    toastr.error(data.msg);
                }
            }
        })*/
    } else {
        toastr.warning("病案不存在！");
    }
});
var table2List;
//获取缓存页码
function getPage(imgStrMd5,list){
    table2List = list;
    //获取用户缓存页码
    var userId = $("#userId").val();
    //初始化页数
    var page = 0;
    //组织缓存key
    var localStorageKey = 'page_' + userId + "_" + imgStrMd5;
    //获取缓存
    var detailId_page = localStorage.getItem(localStorageKey);
    if(detailId_page != null){
        //拆解缓存值
        var pages = detailId_page.split("_");
        var detailId = pages[0];
        var pageNum = pages[1];
        //遍历树节点
        for (var i = 0; i < list.length; i++) {
            //跳过根节点
            if(list[i].id != 0) {
                //获取detailsIds集合
                var ids = list[i].ids;
                //获取页码集合
                var pageCounts = list[i].pageCounts;
                //遍历ids
                var idArr = ids.split(",");
                var pageCountArr = pageCounts.split(",");
                for (var j = 0; j < idArr.length; j++) {
                    if (idArr[j] != detailId) {
                        //不等则pageNum++
                        page += Number(pageCountArr[j]);
                    } else {
                        if(Number(pageNum) > Number(pageCountArr[j])) {
                            //重复采集页码少了的情况，从该文件第一页开始
                            return page += 1;
                        }else{
                            return page += Number(pageNum);
                        }
                    }
                }
            }
        }
    }
    return 1;
}
$("#pdfBtn2").click(function () {
    //选中批量使用
    var idStr = idArr.toString();
    //判断id
    if (idStr == null || idStr == '') {
        toastr.warning("请选择记录！");
        return;
    }
    var ids = '';
    for (var i = 0; i < idArr.length; i++) {
        if(i != 0){
            ids += ",'" + idArr[i] + "'";
        }else{
            ids += "'" + idArr[i] + "'";
        }
    }
    //获取用户缓存页码
    var imgStrMd5 = md5(ids);
    //获取集合
    var list = $("#table2").bootstrapTable('getSelections');
    var page = getPage(imgStrMd5,list);
    //上传后预览pdf文件,根据id直接获取pdf并合成
    var pdfUrl =  path+"/static/pdfjs/web/viewer.html?file="+path+"/inHosp/getPdfById/"+ids+"&page="+page+"&key="+imgStrMd5;
    var openWin = window.open(pdfUrl,"_blank");
    setTimeout(function(){ openWin.document.title = $("#nameLab").text(); }, 100);
});

//封装请求查询his系统医生护士是否全部提交
function selectHis(row){
    $.ajax({
        type:'get',
        url:path+"/beHosp/getInfoFromHis",
        data:{patientId:row.patientId},
        async:false,
        success:function(result) {
            return result;
        }
    })
}