var tipLoad = 1;
//创建数组保存图片
var files = new Array();
var id = 0;
var selects = '';
//定义表格内容最大高度
var maxHeight = 0;
//终审列表
function initTable() {
    if (tipLoad == 1) {
        $("#table").bootstrapTable({ // 对应table标签的id
            //method: 'POST',
            url: path+"/lastVerify/lastVerifyList", // 获取表格数据的url
            contentType: "application/x-www-form-urlencoded",//一种编码。好像在post请求的时候需要用到。这里用的get请求，注释掉这句话也能拿到数据
            //dataField: "data",//这是返回的json数组的key.默认是"rows".这里只有前后端约定好就行
            cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
            striped: true,  //是否显示行间隔色
            pagination: true, // 在表格底部显示分页组件，默认false
            paginationShowPageGo: true,
            pageList: [10, 20, 50, 100], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
            sidePagination: 'server', // 设置为服务器端分页     客户端：client
            search: false,
            showColumns: true,
            toolbar: '#toolbar',//指定工具栏
            searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
            undefinedText: '---', //当数据为 undefined 时显示的字符
            singleSelect: false,//设置True 将禁止多选
            clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
            //height: getHeight(220),     //定义表格的高度。
            searchTimeOut: 500,// 默认500  设置搜索超时时间。
            toolbarAlign: 'right',// 指定 toolbar 水平方向的位置。'left' 或 'right'
            paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
            showHeader: true,//是否显示列头。
            trimOnSearch: true,//设置为 true 将自动去掉搜索字符的前后空格。
            //是否显示导出按钮
            showExport: true,
            //导出表格方式（默认basic：只导出当前页的表格数据；all：导出所有数据；selected：导出选中的数据）
            exportDataType: "basic",
            //导出文件类型
            exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel'],
            exportOptions: {
                fileName: document.title
            },
            //按钮样式
            //buttonsClass: 'btn',
            //分页器class
            iconSize: 'Page',
            queryParams: function (params) {
                var currPageSize = this.pageSize;
                if (currPageSize == 2) {
                    currPageSize = 10;
                }
                var limit = null;
                var offset = params.offset;
                //判断是否导出全部all
                if ($("#sel_exportoption").val() == "all") {
                    offset = 0;
                    limit = this.totalRows;
                    this.pageSize = limit;
                } else {
                    limit = currPageSize;
                    this.pageSize = currPageSize;
                }
                var temp = {
                    limit: limit,     //页面大小
                    offset: offset,   //页码
                    order: params.order,      //排位命令（desc，asc）
                    inpNo: $("#inpNo").val(),
                    visitId: $("#visitId").val(),
                    name: $("#name").val(),
                    deptName: getDeptName(),
                    startDateTo: $("#startDateTo").val(),
                    endDateTo: $("#endDateTo").val(),
                    doctorInCharge:$("#doctorInCharge").val(),
                    isSign:$("#isSign").val(),
                    isSearch:$("#isSearch").val(),
                    checkName:$("#checkName").val(),
                    callBackStatus:$("#callBackStatus").val(),
                    printStatus:$("#printStatus").val()
                };
                return temp;
            },
            sortName: 'id', // 要排序的字段
            sortOrder: 'desc', // 排序规则
            columns: [{
                title: '全选',
                field: 'select',   //复选框
                checkbox: true,
                width: 25,
                align: 'center',
                valign: 'middle'

            },
                {
                    title: '住院号',
                    field: 'inpNo',
                    align: 'left',
                    valign: 'middle'
                },
                {
                    title: '住院次数',
                    field: 'visitId',
                    align: 'center',
                    valign: 'middle'
                },
                {
                    title: '姓名',
                    field: 'name',
                    align: 'left',
                    valign: 'middle'
                },
                {
                    title: '性别',
                    field: 'sex',
                    align: 'center',
                    valign: 'middle'
                },
                {
                    title: '出院科室',
                    field: 'deptName',
                    align: 'left',
                    valign: 'middle'
                },
                {
                    title: '出院日期',
                    field: 'dischargeDateTime',
                    align: 'center',
                    formatter: function (value, row, index) {
                        return operDisDate(value);
                    }
                },
                {
                    title: '主管医生',
                    field: 'doctorInCharge',
                    align: 'left'
                },
                {
                    title: '状态',
                    field: 'status',
                    align: 'center',
                    formatter: function (value, row) {
                        var overTimeStr = '';
                        //超期
                        if (row.days > 0) {
                            overTimeStr = '<span style="color:red">(超期)</span>';
                        }
                        var str = '<span style="color:#8FBC8F"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '</span>';
                        return overTimeStr+str;
                    }
                },
                {
                    title: '纸质状态',
                    field: 'remark',
                    align: 'center',
                    valign: 'middle',
                    formatter: function (value, row) {
                        var isSign = $("#isSign").val();
                        if(isSign != '') {
                            value = isSign == 1 ? '已签收' : '未签收';
                        }
                        var colorStr = ''
                        if(value == '已签收'){
                            colorStr = '#8FBC8F';
                        }else if(value == '未签收'){
                            colorStr = 'red';
                        }else{
                            value = '';
                        }
                        var str = '<span style="color:'+colorStr+'"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '</span>';
                        return str;
                    }
                },
                {
                    title: '纸质扫描',
                    field: 'checkName',
                    align: 'center',
                    valign: 'middle',
                    formatter: function (value, row) {
                        var colorStr = ''
                        if(value == '是'){
                            colorStr = '#8FBC8F';
                        }else if(value == '否'){
                            colorStr = 'red';
                        }else{
                            value = '';
                        }
                        var str = '<span style="color:'+colorStr+'"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '</span>';
                        return str;
                    }
                },
                {
                    title: 'HIS召回状态',
                    field: 'callBackStatus',
                    align: 'center',
                    valign: 'middle',
                    formatter:function(value, row){
                        if(value == '是'){
                            return '<span style="color:green">是</span>';
                        }else{
                            return '<span style="color:red">否</span>';
                        }
                    }
                },
                {
                    title: '打印状态',
                    field: 'printStatus',
                    align: 'center',
                    valign: 'middle',
                    formatter:function(value, row){
                        if(value == '是'){
                            return '<span style="color:green">是</span>';
                        }else{
                            return '<span style="color:red">否</span>';
                        }
                    }
                },
                {
                    title: "操作",
                    align: 'left',
                    valign: 'middle',
                    width: 100, // 定义列的宽度，单位为像素px
                    formatter: function (value, row, index) {
                        var html = "";
                        if (selectPower == 1) {
                            html = '<button type="button" class="btn btn-danger btn-sm selInfo" title="查看">查看</button>';
                        }
                        if (udpatePower == 1) {
                            html += '<button type="button" class="btn btn-sm btn-primary verifyInfo" title="审核">审核</button>';
                        }
                        if (backToPower == 1) {
                            html += '<button type="button" class="btn btn-warning btn-sm returnInfo" title="退回">退回</button>';
                        }
                        if (showFlowPower == 1) {
                            html += '<button type="button" class="btn btn-sm btn-success showFlowInfo" title="查看流程">查看流程</button>'
                        }
                        return html;
                    },
                    events: {
                        'click .returnInfo': function (e, value, row, index) {
                            setFormToken();
                            //console.log("=====退回======");
                            $("#backArchiveId").val(row.id);
                            $("#status").val(row.archivestate);
                            $('#form2').find('input,textarea,checkbox').prop('readonly', false);
                            $('#returnBtn').show();
                            //清空标签的内容
                            $('#content').val("");
                            $('#backContent').val("");
                            $('#score').val("");
                            $('input[name="returntoRole"]').each(function () {
                                $(this).prop('checked', false);
                            });
                            $("#faultTypeDiv").empty();
                            getFaultType();
                            $('#returnModal').modal({
                                backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
                                keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
                                show: true//弹出对话框
                            });
                        },
                        'click .verifyInfo': function (e, value, row, index) {
                            //调用审批diag
                            callApproveDiag(row.id,1,row.patientId);
                        },
                        'click .selInfo': function (e, value, row, index) {
                            //查询是否医生或护士是否提交
                            //selectHis(row);
                            $('#selModal').modal({
                                backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
                                keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
                                show: true//弹出对话框
                            });
                            if (row.archivestate != '复审退回') {
                                $("#recallDiv").hide();
                            } else {
                                $("#recallDiv").show();
                            }
                            if (row.archivestate == '初审') {
                                $("#firstDiv").show();
                            } else {
                                $("#firstDiv").hide();
                            }

                            //删除缓存
                            //删除病历清单分段树选中
                            $("#assortId").html(0);
                            //删除病历清单查看单个pdf复选框选中信息
                            idArr = [];

                            //同步
                            $("#idLab").html(row.id);
                            $("#nameLab").html(row.name);
                            $("#inDateLab").html(operDisTime(row.admissionDateTime));
                            $("#chargeLab").html(row.doctorInCharge);
                            $("#deptToLab").html(row.deptAdmissionTo);
                            //出院
                            if(row.dischargeDateTime!=null&& row.dischargeDateTime!='') {
                                $("#inDateLab1").html(operDisTime(row.dischargeDateTime));
                            }
                            $("#deptToLab1").html(row.deptName);
                            $("#outHospLab").html(row.dischargeDisposition);
                            $("#inLab").html(row.inpNo);
                            $("#inTimeLab").html(row.visitId);
                            $("#wzContent").html(row.lockinfo);
                            //入/出院年+出院月+住院号+住院次数
                            var outDate = "";
                            if (row.dischargeDateTime != null && row.dischargeDateTime != "") {
                                outDate = row.dischargeDateTime.split("-");
                            } else if (row.admissionDateTime != null && row.admissionDateTime == "") {
                                outDate = row.admissionDateTime.split("-");
                            }
                            $("#outDateLab").val(outDate[0] + "" + outDate[1] + "" + row.inpNo.trim() + "" + row.visitId + "");
                            initTree(row.id);
                            getSource();
                        },
                        //查看流程
                        'click .showFlowInfo': function (e, value, row) {
                            $('#showFlowInfo').modal({
                                backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
                                keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
                                show: true//弹出对话框
                            });
                            var masterId = row.id;
                            var name = encodeURI(row.name);
                            var inpNo = row.inpNo;
                            var visitId = row.visitId;
                            var dischargeDateTime = row.dischargeDateTime;
                            $("#showFlowInfoIframe").prop("src",path+"/beHosp/toShowFlowInfo?id="+masterId+"&name="+name+"&inpNo="+inpNo+"&visitId="+visitId+"&dischargeDateTime="+dischargeDateTime+"&role="+$("#checker").val());
                        }
                    },
                    cellStyle: function (value, row, index) {
                        return {classes: 'success'}

                    }
                }
            ],
            onLoadSuccess: function (result) {  //加载成功时执行
                $(".page-list").show();
                tipLoad = 0;
                //reloadTableHeight("table");
            },
            onLoadError: function () {  //加载失败时执行
                tipLoad = 0;
            }
        });
    }
}
//确认批量审批列表
function initTable3() {
    $("#table3").bootstrapTable("destroy");
    $("#table3").bootstrapTable({ // 对应table标签的id
        data: selects, // 获取表格数据的url
        cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
        striped: true,  //是否显示行间隔色
        pagination: true, // 在表格底部显示分页组件，默认false
        pageSize:"5",
        pageList: [5,10,20,50,100], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
        undefinedText: '---', //当数据为 undefined 时显示的字符
        height: 240,     //定义表格的高度。
        paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
        columns: [
            {
                title: '住院号',
                field: 'inpNo',
                align: 'left',
                valign: 'middle',
            },
            {
                title: '住院次数',
                field: 'visitId',
                align: 'center',
                valign: 'middle',
            },
            {
                title: '姓名',
                field: 'name',
                align: 'left',
                valign: 'middle',
            },
            {
                title: '性别',
                field: 'sex',
                align: 'center',
                valign: 'middle',
            },
            {
                title: '出院科室',
                field: 'deptName',
                align: 'left',
                valign: 'middle',
            },
            {
                title: '出院日期',
                field: 'dischargeDateTime',
                align: 'center',
                formatter: function (value, row, index) {
                    return operDisDate(value);
                }
            },
            {
                title: '主管医生',
                field: 'doctorInCharge',
                align: 'left',
            },
        ],
        onLoadSuccess: function (result) {  //加载成功时执行
            $(".page-list").show();
        },
        onLoadError: function () {  //加载失败时执行
        }
    });
}

//终审功能
$("#verifyBtn").on('click', function () {
    setFormToken();
    //审核信息保存
    //获取审批个数
    var approveCount = $("#approveCount").val();
    if(approveCount > 1){
        //大于一个弹出确认框
        $("#verifyModal").modal('hide');
        initTable3();
        $('#sureModal').modal({
            backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
            keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
            show: true//弹出对话框
        });
    }else{
        var ids = $("#archiveId").val();
        //只有一个直接提交
        //获取柜子列个数
        debugger
        var paperPostionValueLength = $("#paperPostionValueLength").val();
        if(paperPostionValueLength >= 1){
            for(var i = 1;i<=paperPostionValueLength;i++) {
                //判断是否必填
                var document = $("#paperPosition"+i);
                var isRequire = document.attr("data");
                if(isRequire == 1){
                    //判断是否为空
                    var val = document.val();
                    if(val == ''){
                        //获取下个节点属性
                        var text = $("#paperPosition"+i + "_" + i).text();
                        toastr.warning(text + "不能为空");
                        document.focus();
                        return false;
                    }
                }
            }
        }
        //判断是否有扫描纸质
        $.ajax({
            type:'get',
            url:path+'/lastVerify/selectIsScan',
            data:{ids:ids},
            dataType:'json',
            success:function(data){
                if(data.code == 100){
                    var str = data.extend.ids;
                    if(str != ''){
                        //允许提交
                        approveMethod();
                    }else{
                        //弹窗确认
                        $("#WZModal").modal({show:"true"});
                    }
                    //隐藏该窗口
                    $("#verifyModal").modal('hide');
                }else{
                    toastr.error(data.msg);
                }
            }
        })
    }
});

//单个终审判断纸质未扫描仍强制提交
$("#wzSaveBtn").click(function(){
    approveMethod();
    $("#WZModal").modal('hide');
})

//终审方法
function approveMethod(){
    var paperPosition = null;
    var paperPosition1 = null;
    var paperPosition2 = null;
    var paperPosition3 = null;
    var paperPosition4 = null;
    //获取纸质输入类型
    var paperPostionValue = $("#paperPostionValue").val();
    if(paperPostionValue == 1){
        //获取柜子列个数
        var paperPostionValueLength = $("#paperPostionValueLength").val();
        if(paperPostionValueLength >= 1){
            if($("#paperPosition1").val() != 'undefined') {
                paperPosition1 = $("#paperPosition1").val();
            }
        }
        if(paperPostionValueLength >= 2){
            if($("#paperPosition2").val() != 'undefined') {
                paperPosition2 = $("#paperPosition2").val();
            }
        }
        if(paperPostionValueLength >= 3){
            if($("#paperPosition3").val() != 'undefined') {
                paperPosition3 = $("#paperPosition3").val();
            }
        }
        if(paperPostionValueLength >= 4){
            if($("#paperPosition4").val() != 'undefined') {
                paperPosition4 = $("#paperPosition4").val();
            }
        }
    }else{
        paperPosition = $("#paperPosition").val();
    }
    //归档状态改为初审还是有就是初审内容保存
    $.ajax({
        url: path+"/lastVerify/updateStateByArchivId",
        type: "POST",
        data: {id: $("#archiveId").val(), remark: $("#verifyText").val(),changeReason:$("#changeReason").val(),checkedDatetime:$("#checkedDateTime").val(),status:$("#status1").val(),formToken:$("#formToken").val(),
            paperPosition:paperPosition,
            paperPosition1:paperPosition1,
            paperPosition2:paperPosition2,
            paperPosition3:paperPosition3,
            paperPosition4:paperPosition4,
            patientId:$("#patientId").val()
        },
        dataType:'json',
        success: function (result) {
            if (result.code == 100) {
                $("#verifyModal").modal('hide');
                $("#sureModal").modal('hide');
                $("#table").bootstrapTable("refresh");
                toastr.success("终审操作成功！");
            } else {
                toastr.error(result.msg);
            }
        }
    });
}

//批量终审功能
$("#approvesBtn").on('click', function () {
    setFormToken();
    selects = $("#table").bootstrapTable('getSelections');
    var count = selects.length;
    if(count !== 0){
        var ids = '';
        var patientIds = '';
        for (var i = 0; i < count; i++) {
            if(i === 0){
                ids += selects[i].id;
                patientIds += selects[i].patientId;
            }else{
                ids += "," + selects[i].id;
                patientIds += "," + selects[i].patientId;
            }
        }
        callApproveDiag(ids,count,patientIds);
    }else{
        toastr.warning("批量审批请至少选中一个");
    }
});

//批量终审确认提交
$("#sureBtn").on('click',function(){
    approveMethod();
});

//调用审批diag
function callApproveDiag(ids,count,patientId) {
    $('#verifyModal').modal({
        backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
        keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
        show: true//弹出对话框
    });
    $("#archiveId").val(ids);
    $("#status1").val("64");
    $("#verifyText").val("");
    $("#approveCount").val(count);
    $("#changeReason").val('');
    $("#patientId").val(patientId);
    //加载纸质位置字典
    loadSelectPaperPostion();
}

//查看初审信息
$("#getFirstBtn").on('click', function () {
    //退回信息保存
    $('#firstModal').modal({
        backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
        keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
        show: true//弹出对话框
    });

    //获取初审
    $.ajax({
        url: path+"/lastVerify/getDetailByArchId", // 获取表格数据的url
        type: "POST",
        data: {archiveDetailId: $("#idLab").html()},
        success: function (result) {
            //console.log(result);
            if (result != null) {
                $("#firstTrial").val(result.firstTrial);
            }
        }, error: function () {
        }
    });
});

//查看召回信息
$("#getRecallBtn").on('click', function () {
    //退回信息保存
    $('#returnModal').modal({
        backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
        keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
        show: true//弹出对话框
    });
    $('#form2').find('input,textarea,checkbox').prop('readonly', true);
    $('#returnBtn').hide();
    //根据病案号获取缺陷信息
    $.ajax({
        url: path+"/lastVerify/getDetailByArchId",
        type: "POST",
        data: {archiveDetailId: $("#idLab").html()},
        success: function (result) {
            if (result != null) {
                $("#content").val(result.content);
                $("#backContent").val(result.backContent);
                $("#score").val(result.score);
                //缺陷类别的勾选
                if (result.assortId != null) {
                    var assortArr = result.assortId.split(",");
                    $('input[name="Fruit"]').each(function () {//遍历每一个名字为interest的复选框，其中选中的执行函数
                        //chk_value.push($(this).val());//将选中的值添加到数组chk_value中
                        if ($.inArray($(this).val(), assortArr) != -1) {
                            $(this).attr('checked', true);
                        } else {
                            $(this).attr('checked', false);
                        }
                    });
                }
            }
        }
    });
});

$(function () {
    //加载科室
    getDept();
    $(".modal-dialog").draggable();//为模态对话框添加拖拽
    //日期控件
    var url = window.location.href;
    var index = url.substring(url.lastIndexOf('?') + 1).replace("num=", "");
    /*if (index != null && index != "" && index.indexOf("excel") != -1) {
        $("#excelBtn").show();
        $("#toolbar").show();
    } else {
        $("#excelBtn").hide();
        $(".columns-right").hide();
    }*/
    if (index != null && index != "" && index.indexOf("upload") != -1) {
        $("#uploadBtn").show();
    } else {
        $("#uploadBtn").hide();
    }
    if (index != null && index != "" && index.indexOf("pdf") != -1) {
        $("#pdfBtn").show();
    } else {
        $("#pdfBtn").hide();
    }
    if (index != null && index != "" && index.indexOf("pdf2") != -1) {
        $("#pdfBtn2").show();
    } else {
        $("#pdfBtn2").hide();
    }
    if (index != null && index != "" && index.indexOf("cancelAll") != -1) {
        $("#updateStateBtn").show();
    } else {
        $("#updateStateBtn").hide();
    }
    if (index != null && index != "" && index.indexOf("useAll") != -1) {
        $("#updateStateBtn2").show();
    } else {
        $("#updateStateBtn2").hide();
    }
});

//变更修改时间
function changeBox(){
    var flag = $("#isChange").is(":checked");
    var time = getFormatDate();
    if(flag){
        //获取医生初审时间
        var html = '<div class="form-group"><span style="vertical-align:top;">审核时间：</span>'
            +'<input type="text" class="input-sm"  value="'+time+'" id="checkedDateTime" name="checkedDateTime" maxlength="30"></div>'
            +'<div class="form-group ">'
            +'<span style="vertical-align:top;">修改原因：</span><textarea rows="6" cols="66" id="changeReason" name="changeReason" maxlength="500"></textarea></div>';
        $("#block").append(html);
    }else{
        $("#block").empty();
    }
}
//获取当前时间
function getFormatDate(){
    var nowDate = new Date();
    var year = nowDate.getFullYear();
    var month = nowDate.getMonth() + 1 < 10 ? "0" + (nowDate.getMonth() + 1) : nowDate.getMonth() + 1;
    var date = nowDate.getDate() < 10 ? "0" + nowDate.getDate() : nowDate.getDate();
    var hour = nowDate.getHours()< 10 ? "0" + nowDate.getHours() : nowDate.getHours();
    var minute = nowDate.getMinutes()< 10 ? "0" + nowDate.getMinutes() : nowDate.getMinutes();
    var second = nowDate.getSeconds()< 10 ? "0" + nowDate.getSeconds() : nowDate.getSeconds();
    return year + "-" + month + "-" + date+" "+hour+":"+minute+":"+second;
}

//导出excel功能
$("#excelBtn").click(function () {
    var inpNo = "" + $("#inpNo").val();
    var visitId = "" + $("#visitId").val();
    var name = "" + $("#name").val();
    var deptName = $("#deptName").val();
    if (deptName.indexOf("") != -1) {
        deptName = "";
    } else {
        deptName = $("#deptName").val().toString();
    }
    var startDateTo = $("#startDateTo").val();
    var endDateTo = $("#endDateTo").val();
    window.location.href = path+"/lastVerify/exportExcel?inpNo=" + inpNo + "&visitId=" + visitId +
        "&name=" + name  + "&deptName=" + deptName
        + "&startDateTo=" + startDateTo + "&endDateTo=" + endDateTo+"&isSearch="+$("#isSearch").val()+"&doctorInCharge="+$("#doctorInCharge").val()+"&isSign="+$("#isSign").val()+"&checkName="+$("#checkName").val();
});
//纸质位置切换自定义输入
function paperSelect(){
    $("#block1").empty();
    var str = '<input type="text" id="paperPosition" class="input-sm" maxlength="16">\n' +
        '                            <label for="paperPositionSelect1" style="cursor:pointer"><input type="checkbox" title="选择输入" onchange="paperSelect1()" id="paperPositionSelect1">选择输入</label>';
    $("#block1").append(str);
    $("#paperPostionValue").val(2);
};
//纸质位置切换选择输入
function paperSelect1(){
    loadSelectPaperPostion();
};
//查询纸质位置字典
function selectPaperPositonDictionary(){
    var selectValue = '';
    $.ajax({
        type:'get',
        url:path+'/paperPostion/selectPaperPositonDictionary',
        dateType:'json',
        async:false,
        success:function(data){
            if(null != data) {
                for (var i = 0; i < data.length; i++) {
                    //获取输入框类型
                    //1选择框 2输入框
                    var inputType = data[i].int1;
                    //组织id
                    var id = 'paperPosition'+(i+1);
                    //获取是否必填 1是0否
                    var isRequire = data[i].int2;
                    var labelId = id + '_' + (i+1);
                    if(inputType == 1){
                        //选择框
                        selectValue += '<select id="'+id+'" data="'+isRequire+'"><option value="">请选择</option>';
                        //取出选择值集合
                        var typeValues = data[i].typevalue.split(",");
                        for(var j = 0;j < typeValues.length;j++){
                            selectValue += '<option value="'+typeValues[j]+'">'+typeValues[j]+'</option>';
                        }
                        selectValue += '</select>';
                        selectValue += '<label id="'+labelId+'">'+data[i].typename+'</label>';
                    }else if(inputType == 2){
                        //输入框
                        selectValue += '<input id="'+id+'" maxlength="16" data="'+isRequire+'" autocomplete="off"/>';
                        selectValue += '<label id="'+labelId+'">'+data[i].typename+'</label>';
                    }
                }
                $("#paperPostionValueLength").val(data.length);
            }
        }
    });
    return selectValue;
}

//返回纸质选择输入html字符串
function selectSelectPaperPostion(){
    var paperPositionSelect = selectPaperPositonDictionary();
    paperPositionSelect += '<label for="paperPositionSelect" style="cursor:pointer"><input type="checkbox" title="自定义输入" onchange="paperSelect()" id="paperPositionSelect">自定义输入</label>';
    return paperPositionSelect;
}
//加载纸质选择输入
function loadSelectPaperPostion(){
    $("#block1").empty();
    var str = selectSelectPaperPostion();
    $("#block1").append(str);
    $("#paperPostionValue").val(1);
}