var tipLoad = 1;
//定义表格内容最大高度
var maxHeight = 0;
$(function () {
    //加载科室
    getDept();
    var url = window.location.href;
    var index = url.substring(url.lastIndexOf('?') + 1).replace("num=", "");
    if (index != null && index != "" && index.indexOf("excel") != -1) {
        $("#excelBtn").show();
        $("#toolbar").show();
    } else {
        $("#excelBtn").hide();
        $(".columns-right").hide();
    }
    var deptAdmissionTo = url.substring(url.lastIndexOf('&') + 1).replace("depts=", "");
    var deptArr = deptAdmissionTo.split(',');
    if (deptAdmissionTo == null || deptAdmissionTo == '' || deptArr.length > 1) {
        $('#deptDiv').show();
    } else {
        $('#deptDiv').hide();
    }
});
function initTable() {
    if(tipLoad == 1){
        $("#table").bootstrapTable({ // 对应table标签的id
            //method: 'POST',
            url: path+"/medicalRecall/recallList", // 获取表格数据的url
            contentType: "application/x-www-form-urlencoded",//一种编码。好像在post请求的时候需要用到。这里用的get请求，注释掉这句话也能拿到数据
            //dataField: "data",//这是返回的json数组的key.默认是"rows".这里只有前后端约定好就行
            cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
            striped: true,  //表格显示条纹，默认为false
            pagination: true, // 在表格底部显示分页组件，默认false
            pageList: [10, 20, 50, 100], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
            sidePagination: 'server', // 设置为服务器端分页     客户端：client
            search: false,
            showColumns: true,
            paginationShowPageGo: true,
            toolbar: '#toolbar',//指定工具栏
            searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
            undefinedText: '---', //当数据为 undefined 时显示的字符
            singleSelect: false,//设置True 将禁止多选
            clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
            searchTimeOut: 500,// 默认500  设置搜索超时时间。
            toolbarAlign: 'right',// 指定 toolbar 水平方向的位置。'left' 或 'right'
            paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
            showHeader: true,//是否显示列头。
            trimOnSearch: true,//设置为 true 将自动去掉搜索字符的前后空格。
            //是否显示导出按钮
            showExport: true,
            //导出表格方式（默认basic：只导出当前页的表格数据；all：导出所有数据；selected：导出选中的数据）
            exportDataType: "basic",
            //导出文件类型
            exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel'],
            exportOptions: {
                fileName: document.title
            },
            queryParams: function (params) {
                var currPageSize = this.pageSize;
                if (currPageSize == 2) {
                    currPageSize = 10;
                }
                var limit= null;
                var offset= params.offset;
                //判断是否导出全部all
                if ($("#sel_exportoption").val() == "all") {
                    offset=0;
                    limit=this.totalRows;
                    this.pageSize= limit;
                }else{
                    limit = currPageSize;
                    this.pageSize = currPageSize;
                }
                var deptName = "";
                var len = ($("#deptName").val()).length;
                if (len > 0) {
                    var deptNameT = $("#deptName").val();
                    if (deptNameT.indexOf("") == -1) {
                        deptName = $("#deptName").val().toString();
                    }
                }
                var temp = {
                    limit: limit,     //页面大小
                    offset: offset,   //页码
                    order: params.order,      //排位命令（desc，asc）
                    idNo: $("#idNo").val(),
                    inpNo: "" + $("#inpNo").val(),
                    visitId:""+$("#visitId").val(),
                    name:""+$("#name").val(),
                    //archivestate: "" + $("#archivestate").val(),
                    status:"" + $("#state").val(),
                    deptName: deptName.toString(),
                    checkedDoctor:$("#checkedDoctor").val(),
                    paperPosition:$("#paperPositionSearch").val()
                };
                return temp;
            },
            sortName: 'id', // 要排序的字段
            sortOrder: 'desc', // 排序规则
            columns: [{
                title: '全选',
                field: 'select',   //复选框
                checkbox: true,
                width: 25,
                align: 'center',
                valign: 'middle',

            },
                {
                    title: '序号',
                    field: 'id',
                    align: 'center',
                    valign: 'middle',
                    formatter: function (value, row, index) {
                        return index + 1;
                    }
                },
                {
                    title: '住院号',
                    field: 'inpNo',
                    align: 'center',
                    valign: 'middle',
                },
                {
                    title: '住院次数',
                    field: 'visitId',
                    align: 'center',
                    valign: 'middle',
                },
                {
                    title: '姓名',
                    field: 'name',
                    align: 'left',
                    valign: 'middle',
                },
                {
                    title: '性别',
                    field: 'sex',
                    align: 'center',
                    valign: 'middle',
                },
                {
                    title: '入院科室',
                    field: 'deptAdmissionTo',
                    align: 'left',
                    valign: 'middle',
                },
                {
                    title: '入院日期',
                    field: 'admissionDateTime',
                    align: 'center',
                    formatter: function (value, row, index) {
                        return operDisDate(value);
                    }
                },
                {
                    title: '出院科室',
                    field: 'deptName',
                    align: 'left',
                    valign: 'middle',
                },
                {
                    title: '出院日期',
                    field: 'dischargeDateTime',
                    align: 'center',
                    valign: 'middle',
                    formatter: function (value, row, index) {
                        return operDisDate(value);
                    }
                },
                {
                    title: '归档时间',
                    field: 'checkedDatetime',
                    align: 'center',
                    valign: 'middle',
                    formatter: function (value) {
                        return operDisTime(value);
                    }
                },
                {
                    title: '上次召回状态',
                    field: 'status',
                    align: 'center',
                    valign: 'middle',
                    formatter: function (value) {
                        //在院  未归档  归档中  初审 已归档 已认证
                        var a = '';
                        if (value == "未召回") {
                            a = '<span style="color:#ccc;"><i class="fa fa-times-circle-o" aria-hidden="true"></i>'+ value +'</span>';
                        } else if (value == "已召回") {
                            a = '<span style="color:#3e8f3e"><i class="fa fa-check-circle-o" aria-hidden="true"></i>'+ value +'</span>';
                        }
                        return a;
                    }
                },
                {
                    title: '归档状态',
                    field: 'archivestate',
                    align: 'center',
                    valign: 'middle',
                    formatter: function () {
                        return '<span style="color:#030378"><i class="fa fa-check-circle-o" aria-hidden="true"></i>已归档</span>';
                    }
                },
                {
                    title: '终审工号',
                    field: 'checkedDoctor',
                    align: 'center',
                    valign: 'middle'
                },
                {
                    title: '纸质位置',
                    field: 'paperPosition',
                    align: 'center',
                    valign: 'middle'
                },
                {
                    title: "操作",
                    align: 'left',
                    valign: 'middle',
                    width: 80, // 定义列的宽度，单位为像素px
                    formatter: function (value, row, index) {
                        var url = window.location.href;
                        var index = url.substring(url.lastIndexOf('?') + 1).replace("num=", "");
                        var temp = '';
                        if (index != null && index != "" && index.indexOf("recall") != -1) {
                            if(row.status=="已召回"){
                                temp =  '<button class="btn btn-warning btn-sm" onclick="recallFun(\'' + row.id + '\',\'' + row.archiveDetailId + '\','+row.patientId+')">召回 </button>' + '<button class="btn btn-danger btn-sm" onclick="logFun(\''+row.id+'\')">日志</button>';
                            }else{
                                if(row.updater != '1') {
                                    temp = '<button class="btn btn-warning btn-sm" onclick="recallFun(\'' + row.id + '\',\'' + row.archiveDetailId + '\',' + row.patientId + ')">召回 </button>';
                                }
                            }
                            temp += '<button type="button" class="btn btn-sm btn-success showFlowInfo" title="查看流程">查看流程</button>';
                        }
                        temp += '<button type="button" class="btn btn-sm btn-primary paperPosition" title="纸质位置">纸质位置</button>';
                        return temp;
                    },
                    events: {
                        //查看流程
                        'click .showFlowInfo': function (e, value, row) {
                            $('#showFlowInfo').modal({
                                backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
                                keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
                                show: true//弹出对话框
                            });
                            var masterId = row.id;
                            var name = encodeURI(row.name);
                            var inpNo = row.inpNo;
                            var visitId = row.visitId;
                            var dischargeDateTime = row.dischargeDateTime;
                            $("#showFlowInfoIframe").prop("src",path+"/beHosp/toShowFlowInfo?id="+masterId+"&name="+name+"&inpNo="+inpNo+"&visitId="+visitId+"&dischargeDateTime="+dischargeDateTime+"&role=4");
                        },
                        //编辑纸质位置
                        'click .paperPosition': function (e, value, row) {
                            $('#paperPosition').modal({
                                backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
                                keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
                                show: true//弹出对话框
                            });
                            $("#patientId1").val(row.patientId);
                            $("#paperPosition1").val(row.paperPosition);
                        }
                    },
                    cellStyle: function (value, row, index) {
                        return {classes: 'success'}
                    }
                }
            ],
            onLoadSuccess: function (result) {  //加载成功时执行
                $(".page-list").show();
                tipLoad = 0;
                reloadTableHeight("table");
            },
            onLoadError: function () {  //加载失败时执行
                tipLoad = 0;
            }
        });
    }
}

//查看召回日志
function logFun(id) {
    $('#logModal').modal({
        backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
        keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
        show: true//弹出对话框
    });
    //获取最后一次操作召回日志记录
    $.ajax({
        url: path+"/recallDate/lastBylogTitle",
        type: "get",
        data: {"id": id},
        dataType:'json',
        success: function (result) {
            $("#creater").val(result.callbackUserName);
            $("#ip").val(result.ip);
            $("#archiveDetailId").val(result.inpNo);
            $("#recallReason").val(result.callbackReason);
        }, error: function () {
            toastr.error("查看失败！")
        }
    });
}

//召回操作
function recallFun(id, archiveDetailId,patientId){
    $.ajax({
        type:'get',
        url:path+'/font/selectIsPrintByPatienId',
        data:{patientId:patientId},
        dataType:'json',
        success:function(data){
            if(data.code == 100){
                if(data.extend.isPrint == 0){
                    setFormToken();
                    $('#exampleModal').modal({
                        backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
                        keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
                        show: true//弹出对话框
                    });
                    $("#recallReason2").val("");
                    $("#id").val(id);
                    $("#danganhao").html(archiveDetailId);
                }else{
                    toastr.warning("该病案已被打印过,不允许召回")
                }
            }else{
                toastr.error(data.msg);
            }
        }
    })
}

//查询
$('#searchBtn').click(function () {
    if (tipLoad == 0) {
        $("#table").bootstrapTable("refreshOptions", {pageNumber: 1});
    } else {
        toastr.warning("正在查询，请稍等...");
    }
});

initTable();

//2.初始化select的change事件
$("#sel_exportoption").change(function () {
    $('#table').bootstrapTable('refreshOptions', {
        exportDataType: $(this).val()
    });
});
$("#refreshBtn").click(function () {
    //刷新
    $('#table').bootstrapTable('refresh');
});

//导出excel功能
$("#excelBtn").click(function () {
    var inpNo = $("#inpNo").val();
    var visitId = $("#visitId").val();
    var name = $("#name").val();
    var idNo = $("#idNo").val();
    var status = $("#state").val();
    var checkedDoctor = $("#checkedDoctor").val();
    //var archivestate=""+ $("#archivestate").val();

    var url = window.location.href;
    var deptName = url.substring(url.lastIndexOf('&') + 1).replace("depts=", "");
    var len = ($("#deptName").val()).length;
    if (len > 0) {
        var deptNameT = $("#deptName").val();
        if (deptNameT.indexOf("") == -1) {
            deptName = $("#deptName").val().toString();
        }
    }
    var url = path+"/medicalRecall/exportExcel";
    post(url,{"inpNo":inpNo,"visitId":visitId,"name":name,"idNo":idNo,"deptName":deptName,"status":status,"checkedDoctor":checkedDoctor});
});

//召回提交
$("#stateBtn").click(function () {
    $('#exampleModal').modal('hide');  //手动关闭
    var id= $("#id").val();
    var recallReason= $("#recallReason2").val();
    $.ajax({
        url: path+"/medicalRecall/updateState",
        type: "POST",
        data: {"masterId": id,callbackReason: recallReason,formToken:$("#formToken").val()},
        dataType:'json',
        success: function (result) {
            //刷新
            $('#table').bootstrapTable('refresh');
            if(result.code==100){
                toastr.success("召回成功！");
            }else{
                toastr.error(result.msg);
            }
        }, error: function () {
            toastr.error("召回失败！")
        }
    });
});
//修改纸质位置
$("#updatePaperPosition").click(function(){
    $.ajax({
        type:'post',
        url:path+"/paperPostion/updatePaperPostion",
        data:{patientId:$("#patientId1").val(),paperPosition:$("#paperPosition1").val()},
        dataType:'json',
        success:function(data){
            if(data.code==100){
                toastr.success("保存成功！");
                $('#table').bootstrapTable('refresh');
                $('#paperPosition').modal('hide');  //手动关闭
            }else{
                toastr.error(result.msg);
            }
        }
    })
})