var tipLoad = 1;
//定义表格内容最大高度
var maxHeight = 0;
function initTable() {
    if(tipLoad == 1){
        $("#table").bootstrapTable({ // 对应table标签的id
            url: path+"/statistics/getScanInfo", // 获取表格数据的url
            contentType: "application/x-www-form-urlencoded",//一种编码。好像在post请求的时候需要用到。这里用的get请求，注释掉这句话也能拿到数据
            cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
            striped: true,  //表格显示条纹，默认为false
            pagination: true, // 在表格底部显示分页组件，默认false
            paginationShowPageGo: true,
            pageList: [5,10, 20, 50, 100], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
            sidePagination: 'server', // 设置为服务器端分页     客户端：client
            search: false,
            showColumns: true,
            toolbar: '#toolbar',//指定工具栏
            searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
            undefinedText: '--', //当数据为 undefined 时显示的字符
            singleSelect: false,//设置True 将禁止多选
            clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
            //height: getStaticTableHeight(),     //定义表格的高度。
            searchTimeOut: 500,// 默认500  设置搜索超时时间。
            toolbarAlign: 'right',// 指定 toolbar 水平方向的位置。'left' 或 'right'
            paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
            showHeader: true,//是否显示列头。
            trimOnSearch: true,//设置为 true 将自动去掉搜索字符的前后空格。
            //是否显示导出按钮
            showExport: true,
            //导出表格方式（默认basic：只导出当前页的表格数据；all：导出所有数据；selected：导出选中的数据）
            exportDataType: "basic",
            //导出文件类型
            exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel'],
            exportOptions: {
                fileName: document.title
            },
            queryParams: function (params) {
                var currPageSize = this.pageSize;
                if (currPageSize == 2) {
                    currPageSize = 10;
                }
                var limit = null;
                var offset = params.offset;
                //判断是否导出全部all
                if ($("#sel_exportoption").val() == "all") {
                    offset = 0;
                    limit = this.totalRows;
                    this.pageSize = limit;
                } else {
                    limit = currPageSize;
                    this.pageSize = currPageSize;
                }
                var temp = {
                    limit: limit,     //页面大小
                    offset: offset,   //页码
                    startDate: $("#startTime1").val(),
                    endDate: $("#endTime1").val(),
                    name:$("#name").val(),
                    isSearch:$("#isSearch").val(),
                    inpNo:$("#inpNo").val()
                };
                return temp;
            },
            columns: [{
                title: '全选',
                field: 'select',   //复选框
                checkbox: true,
                width: 25,
                align: 'center',
                valign: 'middle'
            },
                {
                    title: '记账号',
                    field: 'patientId',
                    align: 'center',
                    valign: 'middle'
                },
                {
                    title: '住院号',
                    field: 'inpNo',
                    align: 'center',
                    valign: 'middle'
                },
                {
                    title: '住院次数',
                    field: 'visitId',
                    align: 'center',
                    valign: 'middle'
                },
                {
                    title: '患者姓名',
                    field: 'hzname',
                    align: 'center',
                    valign: 'middle'
                },
                {
                    title: '性别',
                    field: 'sex',
                    align: 'center',
                    valign: 'middle'
                },
                {
                    title: '入院时间',
                    field: 'admissionDateTime',
                    align: 'center',
                    valign: 'middle'
                },
                {
                    title: '出院时间',
                    field: 'dischargeDateTime',
                    align: 'center',
                    valign: 'middle'
                },
                {
                    title: '出院科室',
                    field: 'doctorDept',
                    align: 'center',
                    valign: 'middle'
                },
                {
                    title: '主管医生',
                    field: 'doctorInCharge',
                    align: 'center',
                    valign: 'middle'
                },
                {
                    title: '扫描人',
                    field: 'uuname',
                    align: 'center',
                    valign: 'middle'
                },
                {
                    title: '文件名',
                    field: 'title',
                    align: 'center',
                    valign: 'middle'
                },
                {
                    title: '扫描时间',
                    field: 'uploaddatetime',
                    align: 'center',
                    valign: 'middle'
                }
            ],
            onLoadSuccess: function (result) {  //加载成功时执行
                $(".page-list").show();
                tipLoad =0;
                reloadTableHeight("table");
            },
            onLoadError: function () {  //加载失败时执行
                tipLoad = 0;
            }
        });
    }
}

//导出excel功能
$("#excelBtn").click(function () {
    //获取选中数据记录
    var idlist = $('#table').bootstrapTable('getAllSelections');
    var sql = '';//AND ((uuName = '何素芳' and uploadDateTime = '2019-12-26 16:29:10') or (uuName = '何素芳' and uploadDateTime = '2019-12-26 16:29:10'))
    if(idlist.length > 0){
        for (var i = 0; i < idlist.length; i++) {
            if(idlist.length == 1){
                sql += "AND (uuName = '"+idlist[i].uuname+"' and uploadDateTime = '"+idlist[i].uploaddatetime+"')";
            }else{
                if(i == 0){
                    sql += "AND ((uuName = '"+idlist[i].uuname+"' and uploadDateTime = '"+idlist[i].uploaddatetime+"') or ";
                }else if(i != idlist.length - 1){
                    sql += "(uuName = '"+idlist[i].uuname+"' and uploadDateTime = '"+idlist[i].uploaddatetime+"') or ";
                }else if(i == idlist.length - 1){
                    sql += "(uuName = '"+idlist[i].uuname+"' and uploadDateTime = '"+idlist[i].uploaddatetime+"'))";
                }
            }
        }
    }
    var url = path+"/statistics/exportExcelScanInfo";
    post(url, {
        "startDate": $("#startTime1").val(),
        "endDate": $("#endTime1").val(),
        "name":$("#name").val(),
        "isSearch":$("#isSearch").val(),
        "sql":sql,
        "inpNo":$("#inpNo").val()
    });
});