package com.emr.controller;

import com.emr.entity.Power_User;
import com.emr.service.ipml.SendMessageService;
import com.emr.util.Msg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import java.util.Arrays;

/**
 * @ProjectName:
 * @Description:
 * @Param 传输参数
 * @Return
 * @Author: 曾文和
 * @CreateDate: 2020/11/10 14:19
 * @UpdateUser: 曾文和
 * @UpdateDate: 2020/11/10 14:19
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
@Controller
@RequestMapping("sendMessage")
public class SendMessageController {
    @Autowired
    private SendMessageService sendMessageService;
    /**
     * 发送即将超期的病历份数
     * @return
     */
    @RequestMapping(value="sendMessageForSubmit")
    @ResponseBody
    public Msg sendMessageForSubmit(HttpServletRequest request) throws Exception{
        sendMessageService.sendMessageForSubmit(request);
        return Msg.success();
    }
}

