package com.emr.dao;

import com.emr.entity.ArchiveOther;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ArchiveOtherMapper extends CommomMapper{
    int deleteByPrimaryKey(Long id);

    int insert(ArchiveOther record);

    int insertSelective(ArchiveOther record);

    ArchiveOther selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(ArchiveOther record);

    int updateByPrimaryKey(ArchiveOther record);

    /**
     * 根据patientId查询是否存在
     * @param patientId 记账号
     * @return
     */
    List<ArchiveOther> selectExistByPatientId(String patientId);
    /**
     * 根据c2查询是否存在
     * @param c2s
     * @return
     */
    List<ArchiveOther> selectAllByC2(@Param("c2s")String c2s,@Param("c1")String c1);
    /**
     * 根据c2集合置空c1
     * @param c2s
     * @return
     */
    void updateBatchC1ByC2s(@Param("c2s")String c2s);
}