package com.emr.dao;

import com.emr.entity.Archive_Detail;
import com.emr.entity.Archive_Detail_Vo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface Archive_DetailMapper {
    int deleteByPrimaryKey(String id);

    int deleteByClo(Archive_Detail record);

    int insert(Archive_Detail record);

    int insertSel(Archive_Detail record);

    Archive_Detail selectByid(String id);

    int updateCloById(Archive_Detail record);

    int updateByPrimaryKey(Archive_Detail record);

    List<Archive_Detail> selectByColm(Archive_Detail record);

    List<Archive_Detail> selectByCol(Archive_Detail record);

    List<Archive_Detail_Vo> selectByClo(Archive_Detail_Vo record);

    List<Archive_Detail_Vo> detailByClo(Archive_Detail_Vo record);

    List<Archive_Detail> selectTypeTreeByPatientIdAndAssortIds(@Param("patientId")String patientId,@Param("assortIds")String assortIds);

    List<Archive_Detail> selectByIdStr(Archive_Detail record);

    List<Archive_Detail> selectPdfPathByIds(@Param("masterId")String masterId,@Param("detailIds")String detailIds);

    /**
     * 按查询按masterId分组查询assortId分类集合
     * @param masterIds
     * @return
     */
    List<Archive_Detail> selectAssortIdsByMasterIds(@Param("masterIds") String masterIds);

    /**
     * 按查询按masterId分组查询assortId分类集合
     * @param masterId
     * @return
     */
    List<Archive_Detail> selectAssortIdsByMasterId(@Param("masterId") String masterId);
    /**
     * 按masterId分组查询是否缺少检验检查报告MID集合
     * @param masterIds
     * @return
     */
    List<Archive_Detail> selectNotInspectionList(@Param("masterIds") String masterIds);

    List<Archive_Detail> getSourceByMasterId(@Param("masterid") String masterid);

    List<Archive_Detail> selectIsScan(@Param("ids") String ids,@Param("fieldFlag")Integer fieldFlag);

    List<Archive_Detail> selectIsScanByDate(@Param("startDateTo") String startDateTo,@Param("endDateTo")String endDateTo);

    List<Archive_Detail> selectRepeatRecordFileForMasterIds(@Param("masterIds")String masterIds);
}