package com.emr.dao;

import com.emr.vo.RecordStatistics;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.List;

public interface RecordStatisticsMapper {
    //统计总病历数
    int getRecordCount(RecordStatistics record);
    //统计总文件数
    List<RecordStatistics> getFileCount(RecordStatistics record);
    //按科室分组统计病案
    List<RecordStatistics> getRecordStatisticsGroupDept(RecordStatistics recordStatistics);
    //按科室和来源分组统计文件
    List<RecordStatistics> getFileStatisticsGroupDept(RecordStatistics recordStatistics);

    List<RecordStatistics> getRecordStatisticsByDeptName(RecordStatistics recordStatistics);

    List<RecordStatistics> getFileCountByMasterIds(@Param("masterIds") String masterIds);
}
