package com.emr.vo;

import lombok.Data;

@Data
public class RecordSearch {
    /**
     * 开始时间
     */
    private String startDate;

    /**
     * 结束时间
     */
    private String endDate;

    /**
     * 科室编号
     */
    private String deptName;

    /**
     * 标识；超期：flag=2
     */
    private Integer flag;
    /**
     * 主管医生
     */
    private String doctorInCharge;

    /**
     * 操作角色
     */
    private Integer roleId;
    /**
     * 操作角色id
     */
    private Integer infoId;

    /**
     * 退回角色id
     */
    private String backRoleId;

    /**
     * 操作角色 1：医生支线 2：护士支线 4：护士长
     */
    private Integer operRole;

    /**
     * 时间标识1：日；2：月；3：年
     */
    private Integer dateFlag;

    /**
     * 距超期剩余天数
     */
    private Integer surplus;

    /**
     * 是否纸质签收视为归档
     */
    private Integer isPaperSign;
}
