package com.emr.vo;

import lombok.Data;

/**
 * @ProjectName:病案统计对象
 * @Description:
 * @Param 传输参数
 * @Return
 * @Author: 曾文和
 * @CreateDate: 2020/8/7 10:29
 * @UpdateUser: 曾文和
 * @UpdateDate: 2020/8/7 10:29
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
@Data
public class RecordStatistics {
    private String inpNo;//住院号
    private String visitId;//住院次数
    private String name;//患者姓名
    private String deptName;//出院科室
    private String dischargeDateTime;//出院日期
    private Integer allRecordCount; //总病历数
    private Integer allFileCount;//总文件数
    private Integer allPageCount;//总页数
    private Integer autoCollectionFileCount;//自动采集总文件数
    private Integer autoCollectionPageCount;//自动采集总页数
    private Integer manualScanFileCount;//扫描上传总文件数
    private Integer manualScanPageCount;//扫描上传总页数
    private String startDate;//出院开始日期
    private String endDate;//出院结束日期
    private String deptNameCn;//出院科室转换中文
    private String source;//文件来源
    private String masterId;//病案主键
    private Integer timeInterval;//出院时段
}
