﻿﻿<%@ page language="java" import="java.util.*" pageEncoding="UTF-8" contentType="text/html;charset=UTF-8" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>HIS退回病案统计</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <%@include file="../../jspf/comm.jspf" %>
    <script>
        var path = "${path}";
    </script>
    <!-- Google Font -->
    <style type="text/css">
        h3{
            size:14px;
            color: #0f0f0f;
        }
    </style>
</head>
<body>
<div class=table-responsive">
    <table id="table" class="table text-nowrap table-striped"></table>
</div>
<script>
    $(function(){
        initTable()
    })
    var tipLoad = 1;
    /*var data =[
        {
            "createTime":"2021-07-27",
            "count":2
        },
        {
            "createTime":"2021-07-25",
            "count":3
        },
        ]*/
    //出院列表
    function initTable() {
        if (tipLoad == 1) {
            $("#table").bootstrapTable({ // 对应table标签的id
                //data:data,
                url: path+"/workHome/callBackStatisticsData", // 获取表格数据的url
                uniqueId:"id",
                contentType: "application/x-www-form-urlencoded",//一种编码。好像在post请求的时候需要用到。这里用的get请求，注释掉这句话也能拿到数据
                cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
                striped: true,  //是否显示行间隔色
                pagination: true, // 在表格底部显示分页组件，默认false
                paginationShowPageGo: true,
                pageSize: 5,
                pageList: [5,10, 20, 50], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
                sidePagination: 'server', // 设置为服务器端分页     客户端：client
                searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
                undefinedText: '---', //当数据为 undefined 时显示的字符
                singleSelect: false,//设置True 将禁止多选
                clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
                //height: getHeight(220),     //定义表格的高度。
                searchTimeOut: 500,// 默认500  设置搜索超时时间。
                toolbarAlign: 'right',// 指定 toolbar 水平方向的位置。'left' 或 'right'
                paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
                showHeader: true,//是否显示列头。
                trimOnSearch: true,//设置为 true 将自动去掉搜索字符的前后空格。
                detailView:true,//是否可展开
                queryParams: function (params) {
                    var currPageSize = this.pageSize;
                    if (currPageSize == 2) {
                        currPageSize = 5;
                    }
                    var limit = null;
                    var offset = params.offset;
                    //判断是否导出全部all
                    if ($("#sel_exportoption").val() == "all") {
                        offset = 0;
                        limit = this.totalRows;
                        this.pageSize = limit;
                    } else {
                        limit = currPageSize;
                        this.pageSize = currPageSize;
                    }
                    var temp = {
                        limit: limit,     //页面大小
                        offset: offset,   //页码
                        startDateTo:parent.parent.$("#startDateTo").val(),
                        endDateTo:parent.parent.$("#endDateTo").val()
                    };
                    return temp;
                },
                sortName: 'id', // 要排序的字段
                sortOrder: 'desc', // 排序规则
                columns: [{
                    title: '全选',
                    field: 'select',   //复选框
                    checkbox: true,
                    width: 25,
                    align: 'center',
                    valign: 'middle'
                },
                    {
                        title: '日期',
                        field: 'time',
                        align: 'left',
                        valign: 'middle'
                    },
                    {
                        title: '退回数量',
                        field: 'count',
                        align: 'center',
                        valign: 'middle'
                    }
                ],
                onLoadSuccess: function () {  //加载成功时执行
                    $(".page-list").show();
                    tipLoad = 0;
                    //reloadTableHeight("table");
                },
                onLoadError: function () {  //加载失败时执行
                    tipLoad = 0
                },
                //展开详情事件
                onExpandRow: function (index, row, $detail) {//點擊datagrid 展開按鈕事件
                    var html = '<div id="tableDiv1">\n' +
                        '        <table id="table1" class="table text-nowrap"></table>\n' +
                        '    </div>';
                    $detail.html(html);
                    var time = row.time;
                    initTable1(time);
                }
            });
        }
    }
    /*var data1 = [{
            "sysupdatetime":"2021-07-27 14:22:33",
            "zyh":"125356",
            "c1":"张三",
            "t1":"2021-05-07",
            "t2":"2021-05-07 14:22:33",
            "statusflag":"处理中",
            "stime":"2021-07-27 18:00:00",
            "etime":"",
            "n2":"未归档"
        },
        {
            "sysupdatetime":"2021-07-23 14:22:33",
            "zyh":"12535236",
            "c1":"李四",
            "t1":"2021-05-17",
            "t2":"2021-05-17 14:22:33",
            "statusflag":"处理完成",
            "stime":"2021-07-27 18:00:00",
            "etime":"2021-07-27 22:00:00",
            "n2":"已归档"
        }]*/
    //第二层，按日期分组查
    function initTable1(time) {
        $("#table1").bootstrapTable({ // 对应table标签的id
            //data:data1,
            url: path + "/workHome/callBackStatisticsDetail", // 获取表格数据的url
            cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
            striped: true,  //表格显示条纹，默认为false
            pagination: true, // 在表格底部显示分页组件，默认false
            paginationShowPageGo: true,
            pageSize: 5,
            pageList: [5,10, 20, 50, 100], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
            sidePagination: 'server', // 设置为服务器端分页     客户端：client
            searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
            undefinedText: '--', //当数据为 undefined 时显示的字符
            singleSelect: false,//设置True 将禁止多选
            clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
            paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
            height:200,
            searchTimeOut: 500,// 默认500  设置搜索超时时间。
            showHeader: true,//是否显示列头。
            //查询条件
            queryParams: function (params) {
                var currPageSize = this.pageSize;
                if (currPageSize == 2) {
                    currPageSize = 5;
                }
                var limit = null;
                var offset = params.offset;
                //判断是否导出全部all
                if ($("#sel_exportoption").val() == "all") {
                    offset = 0;
                    limit = this.totalRows;
                    this.pageSize = limit;
                } else {
                    limit = currPageSize;
                    this.pageSize = currPageSize;
                }
                var temp = {
                    offset:offset,
                    limit:limit,
                    time:time,
                    startDateTo:parent.parent.$("#startDateTo").val(),
                    endDateTo:parent.parent.$("#endDateTo").val()
                };
                return temp;
            },
            columns: [
                {
                    title: '序号',
                    align: 'center',
                    formatter: function (value, row, index) {
                        return index + 1;
                    }
                },
                {
                    title: '申请时间',
                    field: 'sysupdatetimeStr',
                    align: 'center'
                },
                {
                    title: '审批时间',
                    field: 't2Str',
                    align: 'center'
                },
                {
                    title: '住院号',
                    field: 'zyh',
                    align: 'center'
                },
                {
                    title: '患者姓名',
                    field: 'c1',
                    align: 'center'
                },
                {
                    title: '出院日期',
                    field: 't1Str',
                    align: 'center'
                },
                {
                    title: '处理状态',
                    field: 'statusFlagStr',
                    align: 'center'
                },
                {
                    title: '开始时间',
                    field: 'stimeStr',
                    align: 'center'
                },
                {
                    title: '结束时间',
                    field: 'etimeStr',
                    align: 'center'
                },
                {
                    title: '归档状态',
                    field: 'n2Str',
                    align: 'center',
                    formatter: function (value, row, index) {
                        var color = 'red';
                        if (value == '已归档') {
                            color = 'green';
                        }
                        return "<span style=color:" + color + ">" + value + "</span>";
                    }
                }
            ],
            onLoadSuccess: function (result) {  //加载成功时执行
                $(".page-list").show();
            }
        });
    }
</script>
</body>
</html>

