﻿﻿<%@ page language="java" import="java.util.*" pageEncoding="UTF-8" contentType="text/html;charset=UTF-8" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>采集器状态</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <%@include file="../../jspf/comm.jspf" %>
    <script>
        var path = "${path}";
    </script>
    <!-- Google Font -->
    <style type="text/css">
        h3{
            size:14px;
            color: #0f0f0f;
        }
    </style>
</head>
<body>
<div class=table-responsive">
    <table id="table" class="table text-nowrap table-striped"></table>
</div>
<script>
    $(function(){
        initTable()
    })
    /*var data = [{
        "collectName":"HIS-首页采集服务",
        "ip":"192.168.0.1",
        "createTime":"2021-07-27 14:00:00",
        "status":"在线",
        "notCollectCount":"200"
    },{
        "collectName":"HIS-长临医嘱采集服务",
        "ip":"192.168.0.1",
        "createTime":"2021-07-27 15:00:00",
        "status":"离线",
        "notCollectCount":"150"
    }]*/
    var tipLoad = 1;
    //出院列表
    function initTable() {
        if (tipLoad == 1) {
            $("#table").bootstrapTable({ // 对应table标签的id
                //data:data,
                url: path+"/workHome/collectListData", // 获取表格数据的url
                uniqueId:"id",
                contentType: "application/x-www-form-urlencoded",//一种编码。好像在post请求的时候需要用到。这里用的get请求，注释掉这句话也能拿到数据
                cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
                striped: true,  //是否显示行间隔色
                pagination: true, // 在表格底部显示分页组件，默认false
                paginationShowPageGo: true,
                pageList: [10, 20, 50], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
                sidePagination: 'server', // 设置为服务器端分页     客户端：client
                searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
                undefinedText: '---', //当数据为 undefined 时显示的字符
                singleSelect: false,//设置True 将禁止多选
                clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
                //height: getHeight(220),     //定义表格的高度。
                searchTimeOut: 500,// 默认500  设置搜索超时时间。
                toolbarAlign: 'right',// 指定 toolbar 水平方向的位置。'left' 或 'right'
                paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
                showHeader: true,//是否显示列头。
                trimOnSearch: true,//设置为 true 将自动去掉搜索字符的前后空格。
                queryParams: function (params) {
                    var currPageSize = this.pageSize;
                    if (currPageSize == 2) {
                        currPageSize = 10;
                    }
                    var limit = null;
                    var offset = params.offset;
                    //判断是否导出全部all
                    if ($("#sel_exportoption").val() == "all") {
                        offset = 0;
                        limit = this.totalRows;
                        this.pageSize = limit;
                    } else {
                        limit = currPageSize;
                        this.pageSize = currPageSize;
                    }
                    var temp = {
                        limit: limit,     //页面大小
                        offset: offset   //页码
                    };
                    return temp;
                },
                sortName: 'id', // 要排序的字段
                sortOrder: 'desc', // 排序规则
                columns: [
                    {
                        title: '采集器名称',
                        field: 'servername',
                        align: 'left',
                        valign: 'middle'
                    },
                    {
                        title: 'IP',
                        field: 'c2',
                        align: 'center',
                        valign: 'middle'
                    },
                    {
                        title: '最近在线时间',
                        field: 'lastOnlintTimeStr',
                        align: 'left',
                        valign: 'middle'
                    },
                    {
                        title: '状态',
                        field: 'stateStr',
                        align: 'center',
                        valign: 'middle',
                        formatter: function (value, row, index) {
                            var color = 'gray';
                            if (value == '在线') {
                                color = 'green';
                            }
                            return "<span style=color:" + color + ">" + value + "</span>";
                        }
                    }
                ],
                onLoadSuccess: function () {  //加载成功时执行
                    $(".page-list").show();
                    tipLoad = 0;
                },
                onLoadError: function () {  //加载失败时执行
                    tipLoad = 0
                }
            });
        }
    }
</script>
</body>
</html>

