﻿﻿<%@ page language="java" import="java.util.*" pageEncoding="UTF-8" contentType="text/html;charset=UTF-8" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>病案室管理</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <%@include file="../../jspf/comm.jspf" %>
    <script>
        var path = "${path}";
    </script>
    <!-- Google Font -->
    <style type="text/css">
        .alignCenter {
            display: -webkit-box;
            display: -ms-flexbox;
            display: flex;
            -webkit-box-pack: center;
            -ms-flex-pack: center;
            justify-content: center;
            -webkit-box-align: center;
            -ms-flex-align: center;
            align-items: center;
            margin-right: 10px;
        }

        .uad {
            display: flex;
            background: #fafafa;
        }
        .data-num{
            font-size: 1.563vw;
            color: #212121;
            line-height: 1.406vw;
        }
        .data-title{
            font-size: .833vw;
            font-size: .729vw;
            color: #707070;
            line-height: 1.458vw;
        }
        .iconDiv{
            cursor: pointer;
        }
        .uad:hover{border: 1px solid red}
    </style>
</head>
<body>
    <div class="row">
        <div class="col-sm-2 iconDiv" onclick="herfFunction('vCount/vCounts')">
            <div class="uad frame1 jc-flex" style="padding: 12px;margin: 15px;width: 260px;">
                <div class="user-item-left alignCenter">
                    <img src="${path}/static/img/green.png" />
                </div>
                <div class="alignCenter" style="flex-flow: column">
                    <div class="data-num" style="margin-left: 0" id="recordRate">0</div>
                    <div class="data-title">归档率</div>
                </div>
            </div>
        </div>
        <div class="col-sm-2 iconDiv" onclick="herfFunction('lastVerify/lastVerifys')">
            <div class="uad frame1 jc-flex" style="padding: 12px;margin: 15px;width: 260px;">
                <div class="user-item-left alignCenter">
                    <img src="${path}/static/img/orange.png" />
                </div>
                <div class="alignCenter" style="flex-flow: column">
                    <div class="data-num" style="margin-left: 0" id="recordCount">0</div>
                    <div class="data-title">归档数量</div>
                </div>
            </div>
        </div>
        <div class="col-sm-2 iconDiv" onclick="herfFunction('lastVerify/lastVerifys')">
            <div class="uad frame1 jc-flex" style="padding: 12px;margin: 15px;width: 260px;">
                <div class="user-item-left alignCenter">
                    <img src="${path}/static/img/red.png" />
                </div>
                <div class="alignCenter" style="flex-flow: column">
                    <div class="data-num" style="margin-left: 0" id="headNurseCount">0</div>
                    <div class="data-title">待终审数量</div>
                </div>
            </div>
        </div>
        <div class="col-sm-2 iconDiv" onclick="herfFunction('record/submitRecord')">
            <div class="uad frame1 jc-flex" style="padding: 12px;margin: 15px;width: 260px;">
                <div class="user-item-left alignCenter">
                    <img src="${path}/static/img/green.png" />
                </div>
                <div class="alignCenter" style="flex-flow: column">
                    <div class="data-num" style="margin-left: 0" id="submitCount">0</div>
                    <div class="data-title">出科数量</div>
                </div>
            </div>
        </div>
        <div class="col-sm-2 iconDiv" onclick="herfFunction('record/deptOverTimeInfo')">
            <div class="uad frame1 jc-flex" style="padding: 12px;margin: 15px;width: 260px;">
                <div class="user-item-left alignCenter">
                    <img src="${path}/static/img/orange.png" />
                </div>
                <div class="alignCenter" style="flex-flow: column">
                    <div class="data-num" style="margin-left: 0" id="overTimeCount">0</div>
                    <div class="data-title">超期病历数量</div>
                </div>
            </div>
        </div>
        <div class="col-sm-2 iconDiv" onclick="herfFunction('record/deptOverTimeInfo')">
            <div class="uad frame1 jc-flex" style="padding: 12px;margin: 15px;width: 260px;">
                <div class="user-item-left alignCenter">
                    <img src="${path}/static/img/red.png" />
                </div>
                <div class="alignCenter" style="flex-flow: column">
                    <div class="data-num" style="margin-left: 0" id="reOverTimeCount">0</div>
                    <div class="data-title">预超期病历数量</div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-2 iconDiv" onclick="herfFunction('lastVerify/lastVerifys')">
            <div class="uad frame1 jc-flex" style="padding: 12px;margin: 15px;width: 260px;">
                <div class="user-item-left alignCenter">
                    <img src="${path}/static/img/green.png" />
                </div>
                <div class="alignCenter" style="flex-flow: column">
                    <div class="data-num" style="margin-left: 0" id="signCount">0</div>
                    <div class="data-title">签收数量</div>
                </div>
            </div>
        </div>
        <div class="col-sm-2 iconDiv" onclick="herfFunction('lastVerify/lastVerifys')">
            <div class="uad frame1 jc-flex" style="padding: 12px;margin: 15px;width: 260px;">
                <div class="user-item-left alignCenter">
                    <img src="${path}/static/img/orange.png" />
                </div>
                <div class="alignCenter" style="flex-flow: column">
                    <div class="data-num" style="margin-left: 0" id="notSignCount">0</div>
                    <div class="data-title">待签收数量</div>
                </div>
            </div>
        </div>
        <div class="col-sm-2 iconDiv" onclick="herfFunction('lastVerify/lastVerifys')">
            <div class="uad frame1 jc-flex" style="padding: 12px;margin: 15px;width: 260px;">
                <div class="user-item-left alignCenter">
                    <img src="${path}/static/img/red.png" />
                </div>
                <div class="alignCenter" style="flex-flow: column">
                    <div class="data-num" style="margin-left: 0" id="signRate">0</div>
                    <div class="data-title">签收率</div>
                </div>
            </div>
        </div>
        <div class="col-sm-2 iconDiv" onclick="herfFunction('statistics/scanCount')">
            <div class="uad frame1 jc-flex" style="padding: 12px;margin: 15px;width: 260px;">
                <div class="user-item-left alignCenter">
                    <img src="${path}/static/img/green.png" />
                </div>
                <div class="alignCenter" style="flex-flow: column">
                    <div class="data-num" style="margin-left: 0" id="isScanCount">0</div>
                    <div class="data-title">扫描数量</div>
                </div>
            </div>
        </div>
        <div class="col-sm-2 iconDiv" onclick="herfFunction('statistics/scanCount')">
            <div class="uad frame1 jc-flex" style="padding: 12px;margin: 15px;width: 260px;">
                <div class="user-item-left alignCenter">
                    <img src="${path}/static/img/orange.png" />
                </div>
                <div class="alignCenter" style="flex-flow: column">
                    <div class="data-num" style="margin-left: 0" id="notScanCount">0</div>
                    <div class="data-title">待扫描数量</div>
                </div>
            </div>
        </div>
        <div class="col-sm-2 iconDiv" onclick="herfFunction('statistics/scanCount')">
            <div class="uad frame1 jc-flex" style="padding: 12px;margin: 15px;width: 260px;">
                <div class="user-item-left alignCenter">
                    <img src="${path}/static/img/red.png" />
                </div>
                <div class="alignCenter" style="flex-flow: column">
                    <div class="data-num" style="margin-left: 0" id="scanRate">0</div>
                    <div class="data-title">扫描率</div>
                </div>
            </div>
        </div>
    </div>
<script>
    $(function(){
        loadData();
    })
    //获取数据
    function loadData(){
        $.ajax({
            url:path+"/workHome/medicalRoomManageData",
            type:'post',
            data:{ startDateTo:parent.parent.$("#startDateTo").val(),
                endDateTo:parent.parent.$("#endDateTo").val()},
            dataType:'json',
            success:function(data){
                $("#recordRate").text(data.recordRate);
                $("#recordCount").text(data.recordCount);
                $("#headNurseCount").text(data.headNurseCount);
                $("#submitCount").text(data.submitCount);
                $("#signCount").text(data.signCount);
                $("#notSignCount").text(data.notSignCount);
                $("#signRate").text(data.signRate);
                $("#overTimeCount").text(data.overTimeCount);
                $("#reOverTimeCount").text(data.reOverTimeCount);
                $("#isScanCount").text(data.isScanCount);
                $("#notScanCount").text(data.notScanCount);
                $("#scanRate").text(data.scanRate);
            }
        })
    }
    var localPath = "http://" + window.location.host + "/" + "emr_medical_record" + "/";
    //点击跳转
    function herfFunction(url){
        var startDateTo = parent.parent.$("#startDateTo").val();
        var endDateTo = parent.parent.$("#endDateTo").val();
        window.open(localPath + url + '?startDateTo='+startDateTo+'&endDateTo='+endDateTo)
    }
</script>
</body>
</html>

