var __localStorage = {
    set : function(key, value){
        if(!window.localStorage){
            return;
        }
		//var timeMill = 7 * 24 * 3600 * 1000;
		var timeMill = 5 * 1000;
        if(typeof(mins) == 'undefined'){
            var item = {
                data : value
            };
        }else{
            var item = {
                data : value,
                endTime : new Date() . getTime() + timeMill
            };
        }
        localStorage.setItem(key, JSON.stringify(item));
    },
    get : function(key){
        if(!window.localStorage){
            return null;
        }
        var val = localStorage.getItem(key);
        if(!val) return null;
        val = JSON.parse(val);
        if(typeof(val.endTime) == 'undefined' || (typeof(val.endTime) != 'undefined' && val.endTime > new Date().getTime())){
            return val.data;
        }else{
            localStorage.removeItem(key);
            return null;
        }
    },
    enable : function () {
        if(!window.localStorage){
            return false;
        }
        return true;
    }
}