//识别是否加载
var tipLoad = 1;
//定义表格内容最大高度
var maxHeight = 0;
$(function () {
    //加载主管医生列表
    loadDoctorInCharge();
    //加载权限科室
    getPowerDept();
    getChecker();
    var url = window.location.href;
    var index = url.substring(url.lastIndexOf('?') + 1).replace("num=", "");
    if (index != null && index != "" && index.indexOf("excel") != -1) {
        $("#excelBtn").show();
        $("#toolbar").show();
    } else {
        $("#excelBtn").hide();
        $(".columns-right").hide();
    }
    if (index != null && index != "" && index.indexOf("upload") != -1) {
        $("#uploadBtn").show();
    } else {
        $("#uploadBtn").hide();
    }
    if (index != null && index != "" && index.indexOf("pdf") != -1) {
        $("#pdfBtn").show();
    } else {
        $("#pdfBtn").hide();
    }
    if (index != null && index != "" && index.indexOf("pdf2") != -1) {
        $("#pdfBtn2").show();
    } else {
        $("#pdfBtn2").hide();
    }
    if (index != null && index != "" && index.indexOf("cancelAll") != -1) {
        $("#updateStateBtn").show();
    } else {
        $("#updateStateBtn").hide();
    }
    if (index != null && index != "" && index.indexOf("useAll") != -1) {
        $("#updateStateBtn2").show();
    } else {
        $("#updateStateBtn2").hide();
    }
    var deptAdmissionTo = url.substring(url.lastIndexOf('&') + 1).replace("depts=", "");
    var deptArr = deptAdmissionTo.split(',');
    if (deptAdmissionTo == null || deptAdmissionTo == '' || deptArr.length > 1) {
        $('#deptDiv').show();
    } else {
        $('#deptDiv').hide();
    }
});

function initTable() {
    if (tipLoad == 1) {
        $("#table").bootstrapTable({ // 对应table标签的id
            //method: 'POST',
            url: path+"/inHosp/inHospitalList", // 获取表格数据的url
            contentType: "application/x-www-form-urlencoded",//一种编码。好像在post请求的时候需要用到。这里用的get请求，注释掉这句话也能拿到数据
            //dataField: "data",//这是返回的json数组的key.默认是"rows".这里只有前后端约定好就行
            cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
            striped: true,  //是否显示行间隔色
            pagination: true, // 在表格底部显示分页组件，默认false
            paginationShowPageGo: true,
            pageList: [10, 20, 50, 100], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
            sidePagination: 'server', // 设置为服务器端分页     客户端：client
            search: false,
            showColumns: true,
            toolbar: '#toolbar',//指定工具栏
            searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
            undefinedText: '---', //当数据为 undefined 时显示的字符
            singleSelect: false,//设置True 将禁止多选
            clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
            //height: getHeight(220),     //定义表格的高度。
            searchTimeOut: 500,// 默认500  设置搜索超时时间。
            toolbarAlign: 'right',// 指定 toolbar 水平方向的位置。'left' 或 'right'
            paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
            showHeader: true,//是否显示列头。
            trimOnSearch: true,//设置为 true 将自动去掉搜索字符的前后空格。
            //是否显示导出按钮
            showExport: true,
            //导出表格方式（默认basic：只导出当前页的表格数据；all：导出所有数据；selected：导出选中的数据）
            exportDataType: "basic",
            //导出文件类型
            exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel'],
            exportOptions: {
                fileName: document.title
            },
            queryParams: function (params) {
                var currPageSize = this.pageSize;
                if (currPageSize == 2) {
                    currPageSize = 10;
                }
                var limit = null;
                var offset = params.offset;
                //判断是否导出全部all
                if ($("#sel_exportoption").val() == "all") {
                    offset = 0;
                    limit = this.totalRows;
                    this.pageSize = limit;
                } else {
                    limit = currPageSize;
                    this.pageSize = currPageSize;
                }
                var temp = {
                    limit: limit,     //页面大小
                    offset: offset,   //页码
                    order: params.order,      //排位命令（desc，asc）
                    id: $("#id").val(),
                    idNo: $("#idNo").val(),
                    inpNo: "" + $("#inpNo").val(),
                    visitId: "" + $("#visitId").val(),
                    name: "" + $("#name").val(),
                    archivestate: "在院",
                    startDateTo: $("#startDateTo").val(),
                    endDateTo: $("#endDateTo").val(),
                    deptAdmissionTo: getDeptNameForQuery(),
                    doctorInCharge: getSelecteds('doctorInCharge'),
                    isSearch: $("#isSearch").val()
                };
                return temp;
            },
            sortName: 'id', // 要排序的字段
            sortOrder: 'desc', // 排序规则
            columns: [{
                title: '全选',
                field: 'select',   //复选框
                checkbox: true,
                width: 25,
                align: 'center',
                valign: 'middle',

            },
                {
                    title: '住院号',
                    field: 'inpNo',
                    align: 'left',
                    valign: 'middle',
                },
                {
                    title: '住院次数',
                    field: 'visitId',
                    align: 'center',
                    valign: 'middle',
                },
                {
                    title: '姓名',
                    field: 'name',
                    align: 'left',
                    valign: 'middle',
                },
                {
                    title: '性别',
                    field: 'sex',
                    align: 'center',
                    valign: 'middle',
                },
                {
                    title: '身份证号',
                    field: 'idNo',
                    align: 'center',
                    valign: 'middle',
                    visible: false
                },
                {
                    title: '当前科室',
                    field: 'deptName',
                    align: 'left',
                    valign: 'middle',
                },
                {
                    title: '入院日期',
                    field: 'admissionDateTime',
                    align: 'center',
                    formatter: function (value, row, index) {
                        return operDisDate(value);
                    }
                },
                {
                    title: '主管医生',
                    field: 'doctorInCharge',
                    align: 'left',
                },
                {
                    title: '状态',
                    field: 'archivestate',
                    align: 'center',
                    valign: 'middle',
                    formatter: function () {
                        //在院  未归档  归档中  初审 已归档 已认证
                        return '<span style="color:#bfa200"><i class="fa fa-check-circle-o" aria-hidden="true"></i>在院</span>';
                    }
                },
                {
                    title: "操作",
                    align: 'left',
                    valign: 'middle',
                    width: 80, // 定义列的宽度，单位为像素px
                    formatter: function (value, row, index) {
                        var url = window.location.href;
                        var index = url.substring(url.lastIndexOf('?') + 1).replace("num=", "");
                        var html = "";
                        if (index != null && index != "" && index.indexOf("select") != -1) {
                            //return '<button class="btn btn-danger btn-sm" onclick="selectFun(\'' + row + '\')">查看 </button>';
                            html = '<button type="button" class="btn btn-danger btn-sm selInfo" >查看 </button>';// '<a href="javascript:;" class="delete">删除</a>';
                        }
                        return html;

                    }, events: {
                        'click .selInfo': function (e, value, row, index) {
                            //查询是否医生或护士是否提交
                            var result = 1;
                            //result = selectHis(row);
                            if (result == 1) {
                            } else if (result == -1) {
                                toastr.warning("系统出错了请联系系统管理员");
                            } else {
                                toastr.warning('医生或护士未提交数据，请稍后再试');
                            }
                            $('#selModal').modal({
                                backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
                                keyboard: true,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
                                show: true//弹出对话框
                            });
                            //删除缓存
                            //删除病历清单分段树选中
                            $("#assortId").html(0);
                            //删除病历清单查看单个pdf复选框选中信息
                            idArr = [];
                            //同步
                            $("#idLab").html(row.id);
                            $("#nameLab").html(row.name);
                            //入院
                            if (row.admissionDateTime != null && row.admissionDateTime != '') {
                                $("#inDateLab").html(operDisTime(row.admissionDateTime));
                            }
                            $("#chargeLab").html(row.doctorInCharge);
                            $("#deptToLab").html(row.deptAdmissionTo);
                            $("#outHospLab").html(row.dischargeDisposition);
                            //出院
                            if (row.dischargeDateTime != null && row.dischargeDateTime != '') {
                                $("#inDateLab1").html(operDisTime(row.dischargeDateTime));
                            }
                            $("#deptToLab1").html(row.deptName);

                            $("#inLab").html(row.inpNo);
                            $("#inTimeLab").html(row.visitId);
                            //入/出院年+出院月+住院号+住院次数
                            var outDate = "";
                            if (row.dischargeDateTime != null && row.dischargeDateTime != "") {
                                outDate = row.dischargeDateTime.split("-");
                            } else if (row.admissionDateTime != null && row.admissionDateTime == "") {
                                outDate = row.admissionDateTime.split("-");
                            }
                            $("#outDateLab").val(outDate[0] + "" + outDate[1] + "" + row.inpNo.trim() + "" + row.visitId + "");
                            initTree(row.id, $("#checker").val());
                            getSource();
                        }
                    },
                    cellStyle: function (value, row, index) {
                        return {classes: 'success'}
                    }
                }
            ],
            onLoadSuccess: function (result) {  //加载成功时执行
                // console.info("加载成功");
                $(".page-list").show();
                tipLoad = 0;
                reloadTableHeight("table");
            },
            onLoadError: function () {  //加载失败时执行
                //console.info("加载数据失败");
                tipLoad = 0;
            }
        });
    }
}

//导出excel功能
$("#excelBtn").click(function () {
    var doctorInCharge = getSelecteds("doctorInCharge");
    var inpNo = $("#inpNo").val();
    var visitId = $("#visitId").val();
    var name = $("#name").val();
    var startDateTo = $("#startDateTo").val();
    var endDateTo = $("#endDateTo").val();
    var deptAdmissionTo = getDeptNameForQuery();
    var isSearch = $("#isSearch").val();
    var url = path+"/inHosp/exportExcel";
    post(url, {
        "doctorInCharge": doctorInCharge,
        "inpNo": inpNo,
        "visitId": visitId,
        "name": name,
        "deptAdmissionTo": deptAdmissionTo,
        "startDateTo": startDateTo,
        "endDateTo": endDateTo,
        "isSearch": isSearch
    });
});