//未终审页面、在院浏览、出院浏览查看病历时按审核角色查询分类，主要查询checker=2护士的只查看护理记录单和体温表
function getChecker(){
    $.get(path+'/beHosp/getChecker',function(data){
        if(data.code == 100){
            var checker = data.extend.checker;
            $("#checker").val(checker);
            //根据操作角色显示退回角色
            if(checker == 1){
                $("#returnDoctor").show();
            }else if(checker == 2){
                $("#returnNurse").show();
            }else{
                $("#returnDoctor").show();
                $("#returnNurse").show();
            }
        }else{
            toastr.error(data.msg);
        }
    },'json');
}

/**
 * 组织表1审核角色表的数据
 * @param table1Data
 */
function getTable1Data(row){
    var data = [];
    //查询是否带审核节点查询
    var infoId = $("#infoId").val();
    var count2 = row.unDoctorSubmitCount;
    var map2 = getDataMap(2,'医生未提交',count2,row);
    var count3 = row.unDoctorCheckCount;
    var map3 = getDataMap(3,'医生质控员未提交',count3,row);
    var count4 = row.unDirectorCheckCount;
    var map4 = getDataMap(4,'科主任未提交',count4,row);
    var count5 = row.unNurseSubmitCount;
    var map5 = getDataMap(5,'护士未提交',count5,row);
    var count6 = row.unNurseCheckCount;
    var map6 = getDataMap(6,'护士质控员未提交',count6,row);
    var count7 = row.unHeadNurseCount;
    var map7 = getDataMap(7,'护士长未提交',count7,row);
    var count8 = row.headNurseCount;
    var map8 = getDataMap(8,'病案室未提交',count8,row);
    if(infoId == '' || infoId == undefined){
        if(count2 > 0) {
            data.push(map2);
        }
        if(count3 > 0) {
            data.push(map3);
        }
        if(count4 > 0) {
            data.push(map4);
        }
        if(count5 > 0) {
            data.push(map5);
        }
        if(count6 > 0) {
            data.push(map6);
        }
        if(count7 > 0) {
            data.push(map7);
        }
        if(count8 > 0) {
            data.push(map8);
        }
    }else{
        if(infoId == '2' && count2 > 0){
            data.push(map2);
        }
        if(infoId == '3' && count3 > 0){
            data.push(map3);
        }
        if(infoId == '4' && count4 > 0){
            data.push(map4);
        }
        if(infoId == '5' && count5 > 0){
            data.push(map5);
        }
        if(infoId == '6' && count6 > 0){
            data.push(map6);
        }
        if(infoId == '7' && count7 > 0){
            data.push(map7);
        }
        if(infoId == '8' && count8 > 0){
            data.push(map8);
        }
    }
    return data;
}

/**
 * 组织map
 * @param roleId
 * @param title
 * @param count
 * @param row
 * @returns {*}
 */
function getDataMap(roleId,title,count,row){
    if(count != 0){
        var map = new Map();
        map['deptCode'] = row.deptName;
        map['deptNameCn'] = row.deptNameCn;
        map['unCount'] = count;
        map['role'] = title;
        map['infoId'] = roleId;
        return map;
    }else{
        return [];
    }
}

//第二层，按审核角色分层
function initTable1(table1Data,tableId) {
    $("#"+tableId).bootstrapTable({ // 对应table标签的id
        data:table1Data,
        sidePagination: 'client', // 设置为服务器端分页     客户端：client
        cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
        striped: true,  //表格显示条纹，默认为false
        pagination: true, // 在表格底部显示分页组件，默认false
        paginationShowPageGo: true,
        pageList: [10, 20, 50, 100], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
        searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
        detailView: true,//是否可展开
        undefinedText: '--', //当数据为 undefined 时显示的字符
        singleSelect: false,//设置True 将禁止多选
        clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
        paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
        height:300,
        searchTimeOut: 500,// 默认500  设置搜索超时时间。
        showHeader: true,//是否显示列头。
        columns: [
            {
                title: '序号',
                formatter: function (value, row, index) {
                    return index + 1;
                }
            },
            {
                title: '出院科室',
                field: 'deptNameCn'
            },
            {
                title: '审核角色',
                field: 'role'
            },
            {
                title: '未提交份数',
                field: 'unCount'
            }
        ],
        onLoadSuccess: function (result) {  //加载成功时执行
            $(".page-list").show();
        },
        //展开详情事件
        onExpandRow: function (index, row, $detail) {
            var tableId = "table2_"+row.deptCode + "_" + row.infoId;
            //點擊datagrid 展開按鈕事件
            var html = '<div id="tableDiv2">\n' +
                '        <table id="'+tableId+'" class="table2" class="table text-nowrap table-bordered"></table>\n' +
                '    </div>';
            $detail.html(html);
            initTable2(row,tableId);
        }
    });
}
//第三层，按科室审核角色分组查
function initTable2(rows,tableId) {
    $("#"+tableId).bootstrapTable({ // 对应table标签的id
        url: path + "/record/getRecordGroupDeptAndRole", // 获取表格数据的url
        sidePagination: 'server', // 设置为服务器端分页     客户端：client
        cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
        striped: true,  //表格显示条纹，默认为false
        pagination: true, // 在表格底部显示分页组件，默认false
        paginationShowPageGo: true,
        pageList: [10, 20, 50, 100], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
        searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
        detailView: false,//是否可展开
        undefinedText: '--', //当数据为 undefined 时显示的字符
        singleSelect: false,//设置True 将禁止多选
        clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
        paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
        height:553,
        searchTimeOut: 500,// 默认500  设置搜索超时时间。
        showHeader: true,//是否显示列头。
        //查询条件
        queryParams: function (params) {
            return queryParamsInitTable2(params,this,rows);
        },
        columns: [
            {
                title: '序号',
                formatter: function (value, row, index) {
                    return index + 1;
                }
            },
            {
                title: '主管医生',
                field: 'doctorInCharge'
            },
            {
                title: '医生工号',
                field: 'doctorInChargeCode'
            },
            {
                title: '超期份数',
                field: 'overTimeCounts'
            },
            {
                title: '出院科室',
                formatter: function (value, row, index) {
                    return rows.deptNameCn;
                }

            },
            {
                title: '患者姓名',
                field: 'name'
            },
            {
                title: '住院号',
                field: 'inpNo'
            },
            {
                title: '住院次数',
                field: 'visitId'
            },
            {
                title: '出院日期',
                field: 'dischargeDateTime',
                formatter: function (value, row, index) {
                    return operDisDate(value);
                }
            },
            {
                title: '超期天数',
                field: 'overtimeDays'
            },
            {
                title: '状态',
                field: 'status'
            },
            {
                title: '完整性',
                field: 'lockInfo'
            },
            {
                title:'操作',
                align: 'center',
                valign: 'middle',
                formatter: function (value, row, index) {
                    return '<button type="button" class="btn btn-sm btn-success showFlowInfo" title="查看流程">查看流程</button>';
                },
                events:{
                    //查看流程
                    'click .showFlowInfo': function (e, value, row) {
                        $('#showFlowInfo').modal({
                            backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
                            keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
                            show: true//弹出对话框
                        });
                        var masterId = row.id;
                        var name = encodeURI(row.name);
                        var inpNo = row.inpNo;
                        var visitId = row.visitId;
                        var dischargeDateTime = row.dischargeDateTime;
                        $("#showFlowInfoIframe").prop("src",path+"/beHosp/toShowFlowInfo?id="+masterId+"&name="+name+"&inpNo="+inpNo+"&visitId="+visitId+"&dischargeDateTime="+dischargeDateTime+"&role="+$("#checker").val());
                    }
                }
            }
        ],
        onLoadSuccess: function (result) {  //加载成功时执行
            $(".page-list").show();
        }
    });
}

/**
 * 明细表格查询条件
 * @param params
 * @param queryParamsInitTable2
 * @returns {{deptName, flag: number, infoId: (*|jQuery|*|*|*|*), offset: *, endDate: (*|jQuery|*|*|*|*), limit: (*|number), startDate: (*|jQuery|*|*|*|*), doctorInCharge}}
 */
function queryParamsInitTable2(params,_this,row){
    var currPageSize = _this.pageSize;
    if (currPageSize == 2) {
        currPageSize = 10;
    }
    var limit = null;
    var offset = params.offset;
    //判断是否导出全部all
    if ($("#sel_exportoption").val() == "all") {
        offset = 0;
        limit = _this.totalRows;
        _this.pageSize = limit;
    } else {
        limit = currPageSize;
        _this.pageSize = currPageSize;
    }
    var infoId = row.infoId;
    var deptName = row.deptCode;
    var operRole = 0;
    if(infoId < 5){
        operRole = 1;
    }else if(infoId == 5 || infoId == 6){
        operRole = 2;
    }else{
        operRole = 4;
    }
    var temp = {
        offset:offset,
        limit:limit,
        startDate: $("#startTime1").val(),
        endDate: $("#endTime1").val(),
        flag:$("#flag").val(),
        deptName:deptName,
        doctorInCharge:getSelecteds("doctorInCharge"),
        infoId:infoId,
        operRole:operRole
    };
    return temp;
}