//获取时间搜索框值
function getStartOrEndDate(dateFlag,divId){
    if(dateFlag == 1){
        return $("#"+divId+"1").val();
    }else if(dateFlag == 2){
        return $("#"+divId+"3").val();
    }else if(dateFlag == 3){
        return $("#"+divId+"4").val();
    }
}

//按日期查询变更事件
$("#dateFlag").change(function(){
    var value = $(this).val();
    if(value == 1){
        $("#day").show();
        $("#month").hide();
        $("#year").hide();
        $("#dateRange").show();
    }else if(value == 2){
        $("#day").hide();
        $("#month").show();
        $("#year").hide();
        $("#dateRange").hide();
        //获取加载层数级
        initDateInputMonth(3);
    }else if(value == 3){
        $("#day").hide();
        $("#month").hide();
        $("#year").show();
        $("#dateRange").hide();
        initDateInputYear(4);
    }
    $("#table").bootstrapTable("refresh");
});

//加载月时间控件
function initDateInputMonth(idVal){
    $('#startTime'+idVal).datepicker({
        language: "zh-CN",
        format: "yyyy-mm",
        startView: 'years',  //起始选择范围
        maxViewMode:'years', //最大选择范围
        minViewMode:'months', //最小选择范围
        autoclose: true//选中之后自动隐藏日期选择框
    }).on('changeDate',function(){
        $("#beginTime-error").hide();
        var startTime= $("#startTime"+idVal).val();
        $("#endTime"+idVal).datepicker('setStartDate',startTime);
        $("#startTime"+idVal).datepicker('hide');
    });

    $('#endTime'+idVal).datepicker({
        language: "zh-CN",
        format: "yyyy-mm",
        startView: 'years',  //起始选择范围
        maxViewMode:'years', //最大选择范围
        minViewMode:'months', //最小选择范围
        autoclose: true//选中之后自动隐藏日期选择框
    }).on('changeDate',function(){
        var startTime = $("#startTime"+idVal).val();
        var endtime = $("#endTime"+idVal).val();
        $("#startTime"+idVal).datepicker('setEndDate',endtime);
        $("#endTime"+idVal).datepicker('hide');
    });
}
//加载年时间控件
function initDateInputYear(idVal){
    $('#startTime'+idVal).datepicker({
        language: "zh-CN",
        format: "yyyy",
        startView: 'years',  //起始选择范围
        maxViewMode:'years', //最大选择范围
        minViewMode:'years', //最小选择范围
        autoclose: true//选中之后自动隐藏日期选择框
    }).on('changeDate',function(){
        $("#beginTime-error").hide();
        var startTime= $("#startTime"+idVal).val();
        $("#endTime"+idVal).datepicker('setStartDate',startTime);
        $("#startTime"+idVal).datepicker('hide');
    });

    $('#endTime'+idVal).datepicker({
        language: "zh-CN",
        format: "yyyy",
        startView: 'years',  //起始选择范围
        maxViewMode:'years', //最大选择范围
        minViewMode:'years', //最小选择范围
        autoclose: true//选中之后自动隐藏日期选择框
    }).on('changeDate',function(){
        var startTime = $("#startTime"+idVal).val();
        var endtime = $("#endTime"+idVal).val();
        $("#startTime"+idVal).datepicker('setEndDate',endtime);
        $("#endTime"+idVal).datepicker('hide');
    });
}