var tipLoad = 1;
//列表复选框选中数组
var selects = '';
//定义表格内容最大高度
var maxHeight = 0;
//出院列表
function initTable() {
    var name=$("#name").val();
    var inpNo=$("#inpNo").val();
    if (tipLoad == 1) {
        $("#table").bootstrapTable({ // 对应table标签的id
            url: path+"/font/getMaster", // 获取表格数据的url
            uniqueId:"id",
            contentType: "application/x-www-form-urlencoded",//一种编码。好像在post请求的时候需要用到。这里用的get请求，注释掉这句话也能拿到数据
            cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
            striped: true,  //是否显示行间隔色
            pagination: true, // 在表格底部显示分页组件，默认false
            paginationShowPageGo: true,
            pageList: [10, 20, 50], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
            sidePagination: 'server', // 设置为服务器端分页     客户端：client
            search: false,
            showColumns: true,
            toolbar: '#toolbar',//指定工具栏
            searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
            undefinedText: '---', //当数据为 undefined 时显示的字符
            singleSelect: false,//设置True 将禁止多选
            clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
            //height: getHeight(220),     //定义表格的高度。
            searchTimeOut: 500,// 默认500  设置搜索超时时间。
            toolbarAlign: 'right',// 指定 toolbar 水平方向的位置。'left' 或 'right'
            paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
            showHeader: true,//是否显示列头。
            trimOnSearch: true,//设置为 true 将自动去掉搜索字符的前后空格。
            //是否显示导出按钮
            showExport: true,
            //导出表格方式（默认basic：只导出当前页的表格数据；all：导出所有数据；selected：导出选中的数据）
            exportDataType: "basic",
            //导出文件类型
            exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel'],
            exportOptions: {
                fileName: document.title
            },
            queryParams: function (params) {
                var currPageSize = this.pageSize;
                if (currPageSize == 2) {
                    currPageSize = 10;
                }
                var limit = null;
                var offset = params.offset;
                //判断是否导出全部all
                if ($("#sel_exportoption").val() == "all") {
                    offset = 0;
                    limit = this.totalRows;
                    this.pageSize = limit;
                } else {
                    limit = currPageSize;
                    this.pageSize = currPageSize;
                }
                var doctorInCharge = $("#doctorInCharge").val().toString();
                var temp = {
                    limit: limit,     //页面大小
                    offset: offset,   //页码
                    inpNo: "" + $("#inpNo").val(),
                    visitId: "" + $("#visitId").val(),
                    userName: "" + $("#name").val(),
                    startDateTo: $("#startDateTo").val(),
                    endDateTo: $("#endDateTo").val(),
                    startDate: $("#startDate").val(),
                    endDate: $("#endDate").val(),
                    doctorInCharge: doctorInCharge,
                };
                return temp;
            },
            sortName: 'id', // 要排序的字段
            sortOrder: 'desc', // 排序规则
            columns: [{
                title: '全选',
                field: 'select',   //复选框
                checkbox: true,
                width: 25,
                align: 'center',
                valign: 'middle'
            },
                {
                    title: '住院号',
                    field: 'inpNo',
                    align: 'left',
                    valign: 'middle'
                },
                {
                    title: '住院次数',
                    field: 'visitId',
                    align: 'center',
                    valign: 'middle'
                },
                {
                    title: '姓名',
                    field: 'name',
                    align: 'left',
                    valign: 'middle'
                },
                {
                    title: '性别',
                    field: 'sex',
                    align: 'center',
                    valign: 'middle'
                },
                {
                    title: '主管医生',
                    field: 'doctorInCharge',
                    align: 'left'
                },
                {
                    title: '入院时间',
                    field: 'admissionDateTime',
                    align: 'left',
                    valign: 'middle'
                },
                {
                    title: '状态',
                    field: 'archivestate',
                    align: 'center',
                    valign: 'middle',
                    formatter: function (value, row, index) {
                        return '<span style="color:green">在院</span>';
                    }
                },
                {
                    title: "操作",
                    align: 'left',
                    valign: 'middle',
                    formatter: function (value, row) {
                        var html = "";
                        html += '<button type="button" class="btn btn-danger btn-sm selInfo" title="查看">查看详情</button>';
                        /*if (selectPower == 1) {
                            html += '<button type="button" class="btn btn-danger btn-sm selInfo" title="查看">查看</button>';
                        }
                        if (row.btns != '' && row.btns != null) {
                            html += row.btns;
                        }
                        if (showFlowPower == 1) {
                            html += '<button type="button" class="btn btn-sm btn-success showFlowInfo" title="查看流程">查看流程</button>'
                        }
                        if (otherPower == 1) {
                            html += '<button type="button" class="btn btn-sm btn-info showTransferDeptUser" title="跨科查阅">跨科查阅</button>'
                        }*/
                        return html;
                    },
                    events: {
                        //查看
                        'click .selInfo': function (e, value, row) {
                            $.ajax({
                                type:'post',
                                url:path+'/font/getRoomDetails',
                                data:{patientId:row.patientId,visitId:row.visitId},
                                success:function (data) {
                                    var openWin = window.open(data);
                                    setTimeout(function(){ openWin.document.title = $("#nameLab").text(); }, 100);
                                }
                            })
                        },
                        //查看流程
                        'click .showFlowInfo': function (e, value, row) {
                            $('#showFlowInfo').modal({
                                backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
                                keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
                                show: true//弹出对话框
                            });
                            var masterId = row.id;
                            var name = encodeURI(row.name);
                            var inpNo = row.inpNo;
                            var visitId = row.visitId;
                            var dischargeDateTime = row.dischargeDateTime;
                            $("#showFlowInfoIframe").prop("src",path+"/beHosp/toShowFlowInfo?id="+masterId+"&name="+name+"&inpNo="+inpNo+"&visitId="+visitId+"&dischargeDateTime="+dischargeDateTime+"&role="+$("#checker").val());
                        },
                        //跨科查阅
                        'click .showTransferDeptUser': function (e, value, row) {
                            $('#showTransferDeptUser').modal({
                                backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
                                keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
                                show: true//弹出对话框
                            });
                            var masterId = row.id;
                            var deptName = row.deptName;
                            $("#masterId1").val(masterId);
                            initTree2(deptName,masterId);
                        },
                    },
                    cellStyle: function () {
                        return {classes: 'success'}
                    }
                }
            ],
            onLoadSuccess: function () {  //加载成功时执行
                $(".page-list").show();
                tipLoad = 0;
                reloadTableHeight("table");
            },
            onLoadError: function () {  //加载失败时执行
                tipLoad = 0
            }
        });
    }
}
//查询
$('#searchBtnFor').click(function () {
    var name=$("#name").val();
    var inpNo=$("#inpNo").val();
    var visitId=$("#admissTimes").val();
    var tipLoad = 1;
            if (tipLoad == 1) {
                $("#table").bootstrapTable("refreshOptions", {pageNumber: 1});
            } else {
                toastr.warning("正在查询，请稍等...");
            }
});
//格式化状态
function paramsMatter(value, row) {
    var result = '';
    if(row.days > 0){
        result = '<span style="color:red">(超期)</span></span>';
    }
    if(value == null){
        value = '';
    }
    if(result != '') {
        return  '<p title="' + value + '">' + result + row.currentStatus + '</p>';
    }
    return value;
}
//加载病案信息
function loadRecord(){
    $.ajax({
        type:'get',
        url:path+'/font/getRecord',
        data:{masterId:$("#patientId").val()},
        async:false,
        dataType:'json',
        success:function (data) {
            if(null != data && data != ''){
                $("#doctorInCharge").val(data.doctorInCharge);
                $("#inpatientNo").val(data.inpNo);
                $("#name").val(data.name);
                $("#admissTimes").val(data.visitId);
                $("#disDate").val(data.dischargeDateTime);
                $("#disDeptName").val(data.deptName);
                $("#archivestate").val(data.archivestate);
            }
        }
    })
}
//审核弹窗 单个审批①
function verifyInfo(role,archivestate,roleCode,masterId){
    //生成表单token,防止表单重复提交
    setFormToken();
    //赋值审批一个
    $("#approveCount").val(1);
    //查询his判断医生护士是否全部提交
    var result = 1;
    //result = selectHis(row);
    if (result == 1) {
        $('#verifyModal').modal({
            backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
            keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
            show: true//弹出对话框
        });
        $("#verifyText").val("");
        $("#archiveId").val(masterId);
        $("#roleCode").val(roleCode);
        $("#archivestate").val(archivestate);
        $("#role").val(role);
    } else if(result == -1){
        toastr.warning("系统出错了请联系系统管理员");
    }else {
        toastr.warning("his系统医生或护士未完成提交");
    }
}
//查看退回信息
$("#getRecallBtn").on('click', function () {
    //退回信息保存
    $('#returnModal').modal({
        backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
        keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
        show: true//弹出对话框
    });
    $('#form2').find('input,textarea,checkbox').prop('readonly', true);
    $('#returnBtn').hide();
    //根据病案号获取缺陷信息
    $.ajax({
        url: path+"/lastVerify/getDetailByArchId",
        type: "POST",
        data: {archiveDetailId: $("#idLab").html()},
        success: function (result) {
            if (result != null) {
                $("#content").val(result.content);
                $("#backContent").val(result.backContent);
                $("#score").val(result.score);
                //缺陷类别的勾选
                if (result.assortId != null) {
                    var assortArr = result.assortId.split(",");
                    $('input[name="Fruit"]').each(function () {//遍历每一个名字为interest的复选框，其中选中的执行函数
                        if ($.inArray($(this).val(), assortArr) != -1) {
                            $(this).attr('checked', true);
                        } else {
                            $(this).attr('checked', false);
                        }
                    });
                }
            }
        }
    });
});

function getDept() {
    //获取科室列表
    $.ajax({
        url: "${path}/inHosp/getDept",
        type: "POST",
        data: {effective: 1, typecode: "dept_code"},
        success: function (result) {
            if (result != null) {
                for (var i = 0; i < result.length; i++) {
                    $("#deptName").append("<option value=" + result[i].code + ">" + result[i].name + "</option>");
                    $("#deptAdmissionTo").append("<option value=" + result[i].code + ">" + result[i].name + "</option>");

                }
            }
            $(".selectpicker").selectpicker('refresh');
        }
    });
}

function getDoctorInCharge() {
    var deptName = $("#doctorInCharge").val();
    //获取科室列表
    $.ajax({
        url: path+"/beHosp/getDoctorInCharge",
        type: "POST",
        data: {deptName: deptName},
        success: function (result) {
            if (result != null) {
                for (var i = 0; i < result.length; i++) {
                    if (result[i]!=null&&result[i].doctorInCharge != null) {
                        $("#doctorInCharge").append("<option value=" + result[i].doctorInCharge + ">" + result[i].doctorInCharge + "</option>");
                    }
                }
            }
            $(".selectpicker").selectpicker('refresh');
        }
    });
}

//搜索条件需要查询审核状态的时候异步查询该审核角色拥有的code集合
function getCurrentCodes() {
    //只做一次查询赋值
    if($("#currentRoleIds").val() == ''){
        $.ajaxSettings.async = false;
        $.get(path+"/beHosp/getCurrentCodes",function(data){
            $("#currentRole").val(data.code);
            $("#currentRoleIds").val(data.msg);
        },'json')
        $.ajaxSettings.async = true;
    }
}
//加载审核节点
function getApproveRoles() {
    //只做一次查询赋值
    $.get(path+"/beHosp/getFlowRole",function(data){
        if(data.code == 100){
            var flowRoles = data.extend.list;
            if(null != flowRoles && flowRoles != ''){
                var html = '';
                var currentRoleIds = selectMaxInfoId($("#currentRoleIds").val());
                //获取操作角色
                var checker = $("#checker").val();
                for (var i = 0; i < flowRoles.length; i++) {
                    var option = '<option data-role="'+flowRoles[i].role+'" value="'+flowRoles[i].id+'">'+flowRoles[i].name+'</option>';
                    var code = flowRoles[i].code;
                    //过滤病案室审核128和病案室召回1024且无效的对象
                    if(code != '128' && code != '1024' && flowRoles[i].effective == 1){
                        if(code <= 64 && code >= 2 && checker != 4){
                            if(currentRoleIds != '' && currentRoleIds >= flowRoles[i].id && checker == flowRoles[i].role){
                                html += option;
                            }
                        }else{
                            if(checker != 4 && flowRoles[i].role != null){
                                if(checker == flowRoles[i].role){
                                    html += option;
                                }
                            }else{
                                html += option;
                            }
                        }
                    }
                }
                $("#infoId").append(html);
            }
        }else{
            toastr.error(data.msg);
        }
    },'json')
}

//取最大的审核审核id
function selectMaxInfoId(ids){
    var temp = 0;
    var idArr = ids.split(',');
    for (var i = 0; i < idArr.length; i++) {
        if(idArr[i] != ''){
            if(temp < idArr[i]){
                temp = idArr[i];
            }
        }
    }
    return temp;
}


$(function () {
    //加载权限科室
    getPowerDept();
    //赋值审核角色
    getChecker();
    //加载当前角色
    getCurrentCodes();
    //加载审核节点
    //getApproveRoles();
    //加载主管医生列表
    getDoctorInCharge();
    var url = window.location.href;
    var index = url.substring(url.lastIndexOf('?') + 1).replace("num=", "");
    if (index != null && index != "" && index.indexOf("excel") != -1) {
        $("#excelBtn").show();
        $("#toolbar").show();
    } else {
        $("#excelBtn").hide();
        $(".columns-right").hide();
    }
    if (index != null && index != "" && index.indexOf("upload") != -1) {
        $("#uploadBtn").show();
    } else {
        $("#uploadBtn").hide();
    }
    if (index != null && index != "" && index.indexOf("pdf") != -1) {
        $("#pdfBtn").show();
    } else {
        $("#pdfBtn").hide();
    }
    if (index != null && index != "" && index.indexOf("pdf2") != -1) {
        $("#pdfBtn2").show();
    } else {
        $("#pdfBtn2").hide();
    }
    if (index != null && index != "" && index.indexOf("cancelAll") != -1) {
        $("#updateStateBtn").show();
    } else {
        $("#updateStateBtn").hide();
    }
    if (index != null && index != "" && index.indexOf("useAll") != -1) {
        $("#updateStateBtn2").show();
    } else {
        $("#updateStateBtn2").hide();
    }
    var deptAdmissionTo = url.substring(url.lastIndexOf('&') + 1).replace("depts=", "");
    var deptArr = deptAdmissionTo.split(',');
    if (deptAdmissionTo == null || deptAdmissionTo == '' || deptArr.length > 1) {
        $('#deptDiv').show();
    } else {
        $('#deptDiv').hide();
    }
});



/**
 * 校验完整性
 * */
$("#checkSuccessBtn").click(function(){
    var masterId = $("#masterId").val();
    var result = checkSuccessMethod(masterId);
    if(result != ''){
        $("#wzContent").text(result);
        //增加完整性刷新后高亮状态
        $("#wzContent").addClass("wzContent");
        toastr.success("完整性状态已刷新");
        //刷新表格
        $('#table').bootstrapTable('updateByUniqueId', {
            id: masterId,
            row: {
                lockinfo: result
            }
        });
    }else{
        toastr.warning("校验失败,校验程序未启动或出错!");
    }
})
/*******************************跨科查询*****************************************/
var zNodes = [];
var key2 = $("#key2");
key2.bind("focus", focusKey2)
    .bind("blur", blurKey2)
    .bind("input", searchNode2);

var opts = {
    lines: 13, // The number of lines to draw |小长条的数量
    length: 20, // The length of each line |小长条的长度
    width: 5, // The line thickness |小长条的宽度
    radius: 15, // The radius of the inner circle |内环的半径长
    corners: 1, // Corner roundness (0..1)
    rotate: 0, // The rotation offset |旋转角度
    direction: 1, // 1: clockwise, -1: counterclockwise |1：顺时针方向 -1：逆时针方向
    color: '#000', // #rgb or #rrggbb or array of colors |颜色
    speed: 1, // Rounds per second |每秒转多少圈
    trail: 60, // Afterglow percentage |余晖效果百分比
    shadow: false, // Whether to render a shadow |渲染阴影
    hwaccel: false, // Whether to use hardware acceleration |加速
    className: 'spinner', // The CSS class to assign to the spinner |类名spinner
    zIndex: 2e9, // The z-index (defaults to 2000000000) |显示在最顶层
    top: '150px' // Top position relative to parent in px |相对父元素的top
};
var spinner = new Spinner(opts);
//获取所有分段列表
function initTree2(deptName,masterId) {
    zNodes = []
    $.ajax({
        url: path+"/transferDeptUser/selectTranferDeptUserTree",
        type: "POST",
        data:{deptName:deptName,masterId:masterId},
        success: function (result) {
            var rootChecked = true;
            if (result != null) {
                for(var ele in result){
                    zNodes.push(result[ele]);
                    if(result[ele].checked == null){
                        rootChecked = false;
                    }
                }
            }
            //判断是否根节点选中
            if(rootChecked && result != null){
                zNodes.push({id: 0, parentId: 0, name: '用户列表', open: true,checked:"true"});
            }else{
                zNodes.push({id: 0, parentId: 0, name: '用户列表', open: true});
            }
            $.fn.zTree.init($("#ztree2"), setting1, zNodes);
        }, error: function () {
        }
    });
}


var setting1 = {
    view: {
        addHoverDom: false,
        removeHoverDom: false,
        selectedMulti: false,
        autoCancelSelected: false,
        fontCss: getFontCss
    },
    check: {
        enable: true
    },
    data: {
        simpleData: {
            chkStyle: "checkbox",
            enable: true,
            idKey: "id",
            pIdKey: "parentId",
            rootPId: "0"
        }
    },
    edit: {
        enable: false
    }
};

function focusKey2() {
    var key = $("#key2");
    if (key.hasClass("empty")) {
        key.removeClass("empty");
    }
}

function blurKey2() {
    var key = $("#key2");
    if (key.get(0).value === "") {
        key.addClass("empty");
    }
}
function getFontCss(treeId, treeNode) {
    return (!!treeNode.highlight) ? {color: "#A60000", "font-weight": "bold"} : {
        color: "#333",
        "font-weight": "normal"
    };
}

/**
 * 遍历树节点，将
 * 1.自身不满足搜索条件
 *     且
 * 2.其子节点不包含有满足条件的节点
 * 的节点加入到filterResult中
 *
 * @param node 查询的节点
 * @param inputStr 搜索条件
 * @param filterResult 过滤的结果集
 * @return 该节点是否满足条件
 */
function filterNodes(node, inputStr, filterResult) {
    if (node != null) {
        //自身是否符合搜索条件
        var selfMatch = node.name.indexOf(inputStr) > -1;
        //子节点是否有满足的条件的节点
        var childMatch = false;
        var children = node.children;
        if (children != undefined) {
            for (index in children) {
                childMatch = filterNodes(children[index], inputStr, filterResult) || childMatch;
            }
        }
        //自身不满足搜索条件 且其子节点不包含有满足条件的节点
        if (!selfMatch && !childMatch) {
            filterResult.push(node);
        }
        return selfMatch || childMatch;
    } else {
        return true;
    }
}
function searchNode2() {
    var zTree = $.fn.zTree.getZTreeObj("ztree2");
    var value = $("#key2").val();
    if (value == "") {
        //显示隐藏的节点
        var nodes = zTree.getNodesByParam("isHidden", true);
        zTree.showNodes(nodes);
    } else {
        //显示隐藏的节点
        nodes = zTree.getNodesByParam("isHidden", true);
        zTree.showNodes(nodes);
        var root = zTree.getNodeByParam("level", "0");
        var hiddenNodes = new Array();
        filterNodes(root, value, hiddenNodes);
        zTree.hideNodes(hiddenNodes);
    }
    zTree.expandAll(true);
}
//展开
function expandAll2(num) {
    var treeObj = $.fn.zTree.getZTreeObj("ztree"+num);
    treeObj.expandAll(true);
}

//收缩
function collapseAll2(num) {
    var treeObj = $.fn.zTree.getZTreeObj("ztree"+num);
    treeObj.expandAll(false);
}
//保存
$("#transferDeptUserBtn").click(function(){
    var saveNodes = [];
    var zTree = $.fn.zTree.getZTreeObj("ztree2");
    var nodes=zTree.getCheckedNodes(true);
    for (var i = 0; i < nodes.length; i++) {
        if(nodes[i].level == 3){
            var obj = new Map();
            obj['deptCode'] = nodes[i].code;
            obj['userName'] = nodes[i].realName;
            obj['masterId'] = $("#masterId1").val();
            saveNodes.push(obj);
        }
    }
    $.ajax({
        type:'post',
        url:path+'/transferDeptUser/updateTransferDeptUserSet',
        data:{jsonStr:JSON.stringify(saveNodes)},
        dateType:'json',
        success:function(data){
            if(data.code == 100){
                toastr.success("保存成功");
            }else{
                toastr.error(data.msg);
            }
        }
    })
});
//主管医生下拉框修改即查询
function doctorOnChange(){
    //标识为按条件查询
    $("#isSearch").val(1);
    if(tipLoad==0) {
        $("#table").bootstrapTable("refreshOptions", {pageNumber: 1});
    }else{
        toastr.warning("正在查询，请稍等...");
    }
}